


function adcpvplt(uv,pos,deg_per_mps)
% adcpvplt(uv,pos,deg_per_mps)
%
% Plots adcp derived velocity vectors in square lat,lon map
% Based on MATLAB FEATHER function by Charles R. Denham, MathWorks
%
% uv is complex vector of velocity components u-east,v-north
% pos is complex vector of lat,lon coordinates corresponding to
%     origin of adcp vectors
% deg_per_mps scale for vector length degrees per m/s (optional)
%
% John Wilkin 2 March 1990

if nargin~=3
   deg_per_mps = .25;            % default scale for length of vectors
end

xx = [0 1 .8 1 .8]';
yy = [0 0 .08 0 -.08].';
arrow = xx + yy.*sqrt(-1);

s = 'r-';
y = imag(uv); x = real(uv);

x = x(:);
y = y(:);

z = (x + y.*sqrt(-1)).';
shift = pos(:,2)' + i*pos(:,1)';
a = deg_per_mps * arrow * z + ones(5,1)*shift;
axis('square')
plot(real(a), imag(a), s)

