% function conff=conf90(delt28)
% A function which calculates the confidence interval factor.
% The routine finds the number of valid data on each row of the 
% matrix and then calculates
%       1.414*1.725 sqrt (n) for each row.
% the factors are sqrt(2) bacause we assumed a difference and 1.725
% is the T factor in the T test for a confidnce interval of approx
% 20 numbers. 
%
function conff=conf90(delt28)
[m,n]=size(delt28)
[num]=zeros(m,1);
for i=1:m
	num(i)=length(find(~isnan(delt28(i,:))));
end
% calculate the 90% confidence factor times the noise
conff=1.414*1.725*num.^(-0.5);
