%
% function contoursection(data, ylat, xlon, botd, nstd,v,par,plotnum)
% 
%  a routine that contours hydrographic data in matlab
%  INPUT
%  data	-m*n matrix of data
%  ylat -1*n vector of latitudes
%  xlon	-1*n vector of longitudes
%  botd	-1*n vector of bottom depths
%  nstd	-m*1 vector of standard depths
%  v	-q*4 matrix of contour intervals
%	element 1 min
%	element 2 max
%	element 3 inc
%	element 4 linetype 1=bold, 2=dashed
%	 (min, max, inc, linetype)
%  par	-1*n
%	element 1 is lauto (o or 1 no labelling or labelling)
%	element 2 is itype (1=longitude, 2=latitude)
%	element 3 is dmax ie maximum depth
%	element 4 is xlen ie lenght of x axis
%	element 5 is ylen ie the length of the y-axis
%
% title "string"
%
%  lauto-scalar =0 (no labelling) =1 (labelling)
%  itype-scalar =1 longitude plot
%		=2 latitude plot
%  
%  xdep	-1*n vector of depths of bottom casts
%  maxd	-1*n vector diving index to the last standard depth
%
function contoursection(data, ylat, xlon, botd, nstd,v,par,plotnum)
%
[m,n]=size(data);
ii=find(isnan(data));
data(ii)=-999.0*ones(length(ii),1); %remove any NaN
for i=1:n,
	ii=find(data(:,i)> -990 );
	if isempty(ii),

		xdep(i)=nstd(m);
		maxd(i)=m
	else
		maxd(i)=max(ii);
		xdep(i)=nstd(maxd(i));
	end
end
maxd
xdep
save plotdata.mat data ylat xlon botd xdep maxd nstd v par plotnum
!/u/bindoff/hydro/hydrocon3
!lp -c plotdata.psp
%!rm plotdata.psp
!rm plotdata.mat
