function new=convert(old,flag,value,relation)

%--------------------------------------------------------------------
% FUNCTION new=convert(old,flag,value,relation)
%
% Converts "old" ("relation") "flag" to "value"
% Default relation is equality
% 
% INPUT:
% -----
% old      = matrix containing values related to "flag"
%            are to be converted to "value"
% flag     = values related to "flag" then -> "value"
% value    = replacement value
% relation = optional string relation e.g. '<='  Default is '=='
%
% OUTPUT:
% ------
% new   = matrix old with all flagged values converted
%         to "value" (can be returned to same matrix old)
%--------------------------------------------------------------------

if nargin < 4
  relation='==';
end

if isnan(flag)
   bad=find(isnan(old));
else
   eval(['bad=find(old',relation,'flag);']);
end
n=length(bad);
new=old;
if n>0,
  new(bad)=value*ones(1,n);
end
%--------------------------------------------------------------------
