% function  [a] =covar(x1,x2,p,q)
% a 	m*n  unscaled gaussian covaraince function
% x1	m*3  model grid position vector col 1+2+3 are lat, long, depth
% x2	n*3  data position vector col 1+2+3 are lat, long, depth 
% p	scalar which is the horizontal scale smoothing occurs over
% q	scalar which is the vertical scale smoothing occurs over
% Note: by choosing the positions to be in terms of indexe or actual
%	distance one can vary the horizontal and vertical scales 
%	according to indices or distance
% Author N.L. Bindoff
% date   8/October/1990
%
function  [a] =covar(x1,x2,p,q)
m=size(x1);
n=size(x2);
a=zeros(m(1),n(1));
one=ones(n(1),1);
for i=1:m(1)
	[d]=distvec(x1(i,2),x1(i,1),x2(:,2),x2(:,1));
	tmp1=(d/p).^2 + ((x1(i,3)*one-x2(:,3))/q).^2;
	a(i,:)=exp(-tmp1)';
end
