function [d]=d2dz2(nstd,field)
% function [d]=d2dz2(nstd,field)
% 
% a function that takes the second derivative of data
% in field.  The derivative is taken on the rows, and except
% the top and bottom are "central difference". At the boundaries
% one side difference are taken, and these points are less reliable
%
% Input
% nstd 	m*1 vector of depths defining the grid
% field m*n matrix, of the field to be differentiated.
%
[m,n]=size(field);
d=zeros(m,n);
thickness=(nstd(2:m)-nstd(1:m-1)).^(-1);
%d(1,:)=(field(2,:)-field(1,:))/(nstd(2)-nstd(1));
%d(m,:)=(field(m,:)-field(m-1,:))/(nstd(m)-nstd(m-1));
temp1=field(2:m,:)-field(1:m-1,:);
factor=(thickness(1:m-2)+thickness(2:m-1))/2;
for i=2:m-1
	d(i,:)=factor(i-1)*(thickness(i)*temp1(i,:)- ...
		thickness(i-1)*temp1(i-1,:));
end


