function [d]=distvec(lon1,lat1,lon2,lat2)
% function [d]=distvec(lon1,lat1,lon2,lat2)
%
% distance [km] between the single point (lon1,lat1) and the vector
% (lon2,lat2).
% longitude is east-longitude or the negative of west-longitude.
% Use spherical approx. (note by cw - this is a significant error)
%
% r. schlitzer  (5/18/89)
% N.L. Bindoff  (9/Oct/90)
[m,n]=size(lon2);
one=ones(m,n);
fac=111.194929; dlon=lon2-lon1*one; dlat=lat2-lat1*one;
ddlon=fac*cos(2*pi/360*(lat1*one+lat2)/2).*dlon; ddlat=fac*dlat;
d=sqrt(ddlat.^2+ddlon.^2); 

