%
% A short script to get the appropriate data from the Gordon and Molinelli
% raw data atlas for a region of interest
%
country=getcdf_batch('gordon_atlas',1,[1 1 1 1],[2,6313 1 1],1,1,2,NaN);
ship=getcdf_batch('gordon_atlas',2,[1 1 1 1],[2 6313 1 1],1,1,2,NaN);
cruise_code=getcdf_batch('gordon_atlas',3,[1 1 1 1],[4 6313 1 1],1,1,2,NaN);
station=getcdf_batch('gordon_atlas',4,[1 1 1 1],[4 6313 1 1],1,1,2,NaN);

day=getcdf_batch('gordon_atlas',5,[1 1 1 1],[6313 1 1 1],1,1,2,NaN);
month=getcdf_batch('gordon_atlas',6,[1 1 1 1],[6313 1 1 1],1,1,2,NaN);
year=getcdf_batch('gordon_atlas',7,[1 1 1 1],[6313 1 1 1],1,1,2,NaN);
hours=getcdf_batch('gordon_atlas',8,[1 1 1 1],[6313 1 1 1],1,1,2,NaN);
latitude=getcdf_batch('gordon_atlas',9,[1 1 1 1],[6313 1 1 1],1,1,2,NaN);
longitude=getcdf_batch('gordon_atlas',10,[1 1 1 1],[6313 1 1 1],1,1,2,NaN);
area=getcdf_batch('gordon_atlas',11,[1 1 1 1],[6313 1 1 1],1,1,2,NaN);
count_levels=getcdf_batch('gordon_atlas',12,[1 1 1 1],[6313 1 1 1],1,1,2,NaN);
botd=getcdf_batch('gordon_atlas',13,[1 1 1 1],[6313 1 1 1],1,1,2,NaN);
depth_top=getcdf_batch('gordon_atlas',14,[1 1 1 1],[6313 1 1 1],1,1,2,NaN);
depth_bottom=getcdf_batch('gordon_atlas',15,[1 1 1 1],[6313 1 1 1],1,1,2,NaN);
nutrient_code=getcdf_batch('gordon_atlas',16,[1 1 1 1],[6313 1 1 1],1,1,2,NaN);
%
% what to keep from these data
%
latmax=-40
latmin=-70
longmax=154
longmin=127
ii=find(latitude<=latmax & latitude>=latmin & longitude<=longmax ...
	& longitude>=longmin)
country=country(:,ii);
ship=ship(:,ii)
cruise_code=cruise_code(:,ii);
station=station(:,ii);
day=day(:,ii);
month=month(:,ii);
year=year(:,ii);
hours=hours(:,ii);
latitude=latitude(:,ii);
longitude=longitude(:,ii);
area=area(:,ii);
count_levels=count_levels(:,ii);
botd=botd(ii);
depth_top=depth_top(ii);
depth_bottom=depth_bottom(ii);
nutrient_code=nutrient_code(ii);

% get the data 
%
depth=getcdf_batch('gordon_atlas',17,[1 1 1 1],[58 6313 1 1],1,1,2,NaN);
depth=depth(:,ii);
temperature=getcdf_batch('gordon_atlas',18,[1 1 1 1],[58 6313 1 1],1,1,2,NaN);
temperature=temperature(:,ii);
salinity=getcdf_batch('gordon_atlas',19,[1 1 1 1],[58 6313 1 1],1,1,2,NaN);
salinity=salinity(:,ii);
oxygen=getcdf_batch('gordon_atlas',20,[1 1 1 1],[58 6313 1 1],1,1,2,NaN);
oxygen=oxygen(:,ii);
silicate=getcdf_batch('gordon_atlas',21,[1 1 1 1],[58 6313 1 1],1,1,2,NaN);
silicate=silicate(:,ii);
phosphate=getcdf_batch('gordon_atlas',22,[1 1 1 1],[58 6313 1 1],1,1,2,NaN);
phosphate=phosphate(:,ii);
nitrate=getcdf_batch('gordon_atlas',23,[1 1 1 1],[58 6313 1 1],1,1,2,NaN);
nitrate=nitrate(:,ii);
%
save tasmansector

