%
%  Get the latitude and longitude information
%
lat=getcdf_batch('levitus_monthly','lat',[1],[180],1,2,2,NaN);
lon=getcdf_batch('levitus_monthly','lon',[1],[360],[1],2,2,NaN);
pressure=getcdf_batch('levitus_monthly','pressure',[1],[19],[1],2,2,NaN);
%
% Get the first month, and calculate the average mixed layer temp
%
t1=getcdf_batch('levitus_monthly','t',[1,1,1,1],[1,360,180,1],[1 ...
    1 1 1],2,2,NaN);
t2=getcdf_batch('levitus_monthly','t',[1,1,1,2],[1,360,180,2],[1 ...
    1 1 1],2,2,NaN);
t3=getcdf_batch('levitus_monthly','t',[1,1,1,3],[1,360,180,3],[1 ...
    1 1 1],2,2,NaN);
t4=getcdf_batch('levitus_monthly','t',[1,1,1,4],[1,360,180,4],[1 ...
    1 1 1],2,2,NaN);
t5=getcdf_batch('levitus_monthly','t',[1,1,1,5],[1,360,180,5],[1 ...
    1 1 1],2,2,NaN);
t6=getcdf_batch('levitus_monthly','t',[1,1,1,6],[1,360,180,6],[1 ...
    1 1 1],2,2,NaN);
t7=getcdf_batch('levitus_monthly','t',[1,1,1,7],[1,360,180,7],[1 ...
    1 1 1],2,2,NaN);
%
% surfaces are 0 10 20 30 50 75 100, thicknesses 5,10,10,15,22.5,25,25
%
temp1=(1/100)*(5*t1+10*t2+10*t3+15*t4+22.5*t5+25*t6+25*t7)';
%
% second month
%
t1=getcdf_batch('levitus_monthly','t',[2,1,1,1],[2,360,180,1],[1 ...
    1 1 1],2,2,NaN);
t2=getcdf_batch('levitus_monthly','t',[2,1,1,2],[2,360,180,2],[1 ...
    1 1 1],2,2,NaN);
t3=getcdf_batch('levitus_monthly','t',[2,1,1,3],[2,360,180,3],[1 ...
    1 1 1],2,2,NaN);
t4=getcdf_batch('levitus_monthly','t',[2,1,1,4],[2,360,180,4],[1 ...
    1 1 1],2,2,NaN);
t5=getcdf_batch('levitus_monthly','t',[2,1,1,5],[2,360,180,5],[1 ...
    1 1 1],2,2,NaN);
t6=getcdf_batch('levitus_monthly','t',[2,1,1,6],[2,360,180,6],[1 ...
    1 1 1],2,2,NaN);
t7=getcdf_batch('levitus_monthly','t',[2,1,1,7],[2,360,180,7],[1 ...
    1 1 1],2,2,NaN);
%
% surfaces are 0 10 20 30 50 75 100, thicknesses 5,10,10,15,22.5,25,25
%
temp2=(1/100)*(5*t1+10*t2+10*t3+15*t4+22.5*t5+25*t6+25*t7)';
%
% Month 3
%
t1=getcdf_batch('levitus_monthly','t',[3,1,1,1],[3,360,180,1],[1 ...
    1 1 1],2,2,NaN);
t2=getcdf_batch('levitus_monthly','t',[3,1,1,2],[3,360,180,2],[1 ...
    1 1 1],2,2,NaN);
t3=getcdf_batch('levitus_monthly','t',[3,1,1,3],[3,360,180,3],[1 ...
    1 1 1],2,2,NaN);
t4=getcdf_batch('levitus_monthly','t',[3,1,1,4],[3,360,180,4],[1 ...
    1 1 1],2,2,NaN);
t5=getcdf_batch('levitus_monthly','t',[3,1,1,5],[3,360,180,5],[1 ...
    1 1 1],2,2,NaN);
t6=getcdf_batch('levitus_monthly','t',[3,1,1,6],[3,360,180,6],[1 ...
    1 1 1],2,2,NaN);
t7=getcdf_batch('levitus_monthly','t',[3,1,1,7],[3,360,180,7],[1 ...
    1 1 1],2,2,NaN);
%
% surfaces are 0 10 20 30 50 75 100, thicknesses 5,10,10,15,22.5,25,25
%
temp3=(1/100)*(5*t1+10*t2+10*t3+15*t4+22.5*t5+25*t6+25*t7)';
%
% Month 4
%
t1=getcdf_batch('levitus_monthly','t',[4,1,1,1],[4,360,180,1],[1 ...
    1 1 1],2,2,NaN);
t2=getcdf_batch('levitus_monthly','t',[4,1,1,2],[4,360,180,2],[1 ...
    1 1 1],2,2,NaN);
t3=getcdf_batch('levitus_monthly','t',[4,1,1,3],[4,360,180,3],[1 ...
    1 1 1],2,2,NaN);
t4=getcdf_batch('levitus_monthly','t',[4,1,1,4],[4,360,180,4],[1 ...
    1 1 1],2,2,NaN);
t5=getcdf_batch('levitus_monthly','t',[4,1,1,5],[4,360,180,5],[1 ...
    1 1 1],2,2,NaN);
t6=getcdf_batch('levitus_monthly','t',[4,1,1,6],[4,360,180,6],[1 ...
    1 1 1],2,2,NaN);
t7=getcdf_batch('levitus_monthly','t',[4,1,1,7],[4,360,180,7],[1 ...
    1 1 1],2,2,NaN);
%
% surfaces are 0 10 20 30 50 75 100, thicknesses 5,10,10,15,22.5,25,25
%
temp4=(1/100)*(5*t1+10*t2+10*t3+15*t4+22.5*t5+25*t6+25*t7)';
%
% Month 5
%
t1=getcdf_batch('levitus_monthly','t',[5,1,1,1],[5,360,180,1],[1 ...
    1 1 1],2,2,NaN);
t2=getcdf_batch('levitus_monthly','t',[5,1,1,2],[5,360,180,2],[1 ...
    1 1 1],2,2,NaN);
t3=getcdf_batch('levitus_monthly','t',[5,1,1,3],[5,360,180,3],[1 ...
    1 1 1],2,2,NaN);
t4=getcdf_batch('levitus_monthly','t',[5,1,1,4],[5,360,180,4],[1 ...
    1 1 1],2,2,NaN);
t5=getcdf_batch('levitus_monthly','t',[5,1,1,5],[5,360,180,5],[1 ...
    1 1 1],2,2,NaN);
t6=getcdf_batch('levitus_monthly','t',[5,1,1,6],[5,360,180,6],[1 ...
    1 1 1],2,2,NaN);
t7=getcdf_batch('levitus_monthly','t',[5,1,1,7],[5,360,180,7],[1 ...
    1 1 1],2,2,NaN);
%
% surfaces are 0 10 20 30 50 75 100, thicknesses 5,10,10,15,22.5,25,25
%
temp5=(1/100)*(5*t1+10*t2+10*t3+15*t4+22.5*t5+25*t6+25*t7)';
%
% Month 6
%
t1=getcdf_batch('levitus_monthly','t',[6,1,1,1],[6,360,180,1],[1 ...
    1 1 1],2,2,NaN);
t2=getcdf_batch('levitus_monthly','t',[6,1,1,2],[6,360,180,2],[1 ...
    1 1 1],2,2,NaN);
t3=getcdf_batch('levitus_monthly','t',[6,1,1,3],[6,360,180,3],[1 ...
    1 1 1],2,2,NaN);
t4=getcdf_batch('levitus_monthly','t',[6,1,1,4],[6,360,180,4],[1 ...
    1 1 1],2,2,NaN);
t5=getcdf_batch('levitus_monthly','t',[6,1,1,5],[6,360,180,5],[1 ...
    1 1 1],2,2,NaN);
t6=getcdf_batch('levitus_monthly','t',[6,1,1,6],[6,360,180,6],[1 ...
    1 1 1],2,2,NaN);
t7=getcdf_batch('levitus_monthly','t',[6,1,1,7],[6,360,180,7],[1 ...
    1 1 1],2,2,NaN);
%
% surfaces are 0 10 20 30 50 75 100, thicknesses 5,10,10,15,22.5,25,25
%
temp6=(1/100)*(5*t1+10*t2+10*t3+15*t4+22.5*t5+25*t6+25*t7)';
%
% Month 7
%
t1=getcdf_batch('levitus_monthly','t',[7,1,1,1],[7,360,180,1],[1 ...
    1 1 1],2,2,NaN);
t2=getcdf_batch('levitus_monthly','t',[7,1,1,2],[7,360,180,2],[1 ...
    1 1 1],2,2,NaN);
t3=getcdf_batch('levitus_monthly','t',[7,1,1,3],[7,360,180,3],[1 ...
    1 1 1],2,2,NaN);
t4=getcdf_batch('levitus_monthly','t',[7,1,1,4],[7,360,180,4],[1 ...
    1 1 1],2,2,NaN);
t5=getcdf_batch('levitus_monthly','t',[7,1,1,5],[7,360,180,5],[1 ...
    1 1 1],2,2,NaN);
t6=getcdf_batch('levitus_monthly','t',[7,1,1,6],[7,360,180,6],[1 ...
    1 1 1],2,2,NaN);
t7=getcdf_batch('levitus_monthly','t',[7,1,1,7],[7,360,180,7],[1 ...
    1 1 1],2,2,NaN);
%
% surfaces are 0 10 20 30 50 75 100, thicknesses 5,10,10,15,22.5,25,25
%
temp7=(1/100)*(5*t1+10*t2+10*t3+15*t4+22.5*t5+25*t6+25*t7)';
%
% Month 8
%
t1=getcdf_batch('levitus_monthly','t',[8,1,1,1],[8,360,180,1],[1 ...
    1 1 1],2,2,NaN);
t2=getcdf_batch('levitus_monthly','t',[8,1,1,2],[8,360,180,2],[1 ...
    1 1 1],2,2,NaN);
t3=getcdf_batch('levitus_monthly','t',[8,1,1,3],[8,360,180,3],[1 ...
    1 1 1],2,2,NaN);
t4=getcdf_batch('levitus_monthly','t',[8,1,1,4],[8,360,180,4],[1 ...
    1 1 1],2,2,NaN);
t5=getcdf_batch('levitus_monthly','t',[8,1,1,5],[8,360,180,5],[1 ...
    1 1 1],2,2,NaN);
t6=getcdf_batch('levitus_monthly','t',[8,1,1,6],[8,360,180,6],[1 ...
    1 1 1],2,2,NaN);
t7=getcdf_batch('levitus_monthly','t',[8,1,1,7],[8,360,180,7],[1 ...
    1 1 1],2,2,NaN);
%
% surfaces are 0 10 20 30 50 75 100, thicknesses 5,10,10,15,22.5,25,25
%
temp8=(1/100)*(5*t1+10*t2+10*t3+15*t4+22.5*t5+25*t6+25*t7)';
%
% Month 9
%
t1=getcdf_batch('levitus_monthly','t',[9,1,1,1],[9,360,180,1],[1 ...
    1 1 1],2,2,NaN);
t2=getcdf_batch('levitus_monthly','t',[9,1,1,2],[9,360,180,2],[1 ...
    1 1 1],2,2,NaN);
t3=getcdf_batch('levitus_monthly','t',[9,1,1,3],[9,360,180,3],[1 ...
    1 1 1],2,2,NaN);
t4=getcdf_batch('levitus_monthly','t',[9,1,1,4],[9,360,180,4],[1 ...
    1 1 1],2,2,NaN);
t5=getcdf_batch('levitus_monthly','t',[9,1,1,5],[9,360,180,5],[1 ...
    1 1 1],2,2,NaN);
t6=getcdf_batch('levitus_monthly','t',[9,1,1,6],[9,360,180,6],[1 ...
    1 1 1],2,2,NaN);
t7=getcdf_batch('levitus_monthly','t',[9,1,1,7],[9,360,180,7],[1 ...
    1 1 1],2,2,NaN);
%
% surfaces are 0 10 20 30 50 75 100, thicknesses 5,10,10,15,22.5,25,25
%
temp9=(1/100)*(5*t1+10*t2+10*t3+15*t4+22.5*t5+25*t6+25*t7)';
%
% Month 10
%
t1=getcdf_batch('levitus_monthly','t',[10,1,1,1],[10,360,180,1],[1 ...
    1 1 1],2,2,NaN);
t2=getcdf_batch('levitus_monthly','t',[10,1,1,2],[10,360,180,2],[1 ...
    1 1 1],2,2,NaN);
t3=getcdf_batch('levitus_monthly','t',[10,1,1,3],[10,360,180,3],[1 ...
    1 1 1],2,2,NaN);
t4=getcdf_batch('levitus_monthly','t',[10,1,1,4],[10,360,180,4],[1 ...
    1 1 1],2,2,NaN);
t5=getcdf_batch('levitus_monthly','t',[10,1,1,5],[10,360,180,5],[1 ...
    1 1 1],2,2,NaN);
t6=getcdf_batch('levitus_monthly','t',[10,1,1,6],[10,360,180,6],[1 ...
    1 1 1],2,2,NaN);
t7=getcdf_batch('levitus_monthly','t',[10,1,1,7],[10,360,180,7],[1 ...
    1 1 1],2,2,NaN);
%
% surfaces are 0 10 20 30 50 75 100, thicknesses 5,10,10,15,22.5,25,25
%
temp10=(1/100)*(5*t1+10*t2+10*t3+15*t4+22.5*t5+25*t6+25*t7)';
%
% Month 11
%
t1=getcdf_batch('levitus_monthly','t',[11,1,1,1],[11,360,180,1],[1 ...
    1 1 1],2,2,NaN);
t2=getcdf_batch('levitus_monthly','t',[11,1,1,2],[11,360,180,2],[1 ...
    1 1 1],2,2,NaN);
t3=getcdf_batch('levitus_monthly','t',[11,1,1,3],[11,360,180,3],[1 ...
    1 1 1],2,2,NaN);
t4=getcdf_batch('levitus_monthly','t',[11,1,1,4],[11,360,180,4],[1 ...
    1 1 1],2,2,NaN);
t5=getcdf_batch('levitus_monthly','t',[11,1,1,5],[11,360,180,5],[1 ...
    1 1 1],2,2,NaN);
t6=getcdf_batch('levitus_monthly','t',[11,1,1,6],[11,360,180,6],[1 ...
    1 1 1],2,2,NaN);
t7=getcdf_batch('levitus_monthly','t',[11,1,1,7],[11,360,180,7],[1 ...
    1 1 1],2,2,NaN);
%
% surfaces are 0 10 20 30 50 75 100, thicknesses 5,10,10,15,22.5,25,25
%
temp11=(1/100)*(5*t1+10*t2+10*t3+15*t4+22.5*t5+25*t6+25*t7)';
%
% Month 12
%
t1=getcdf_batch('levitus_monthly','t',[12,1,1,1],[12,360,180,1],[1 ...
    1 1 1],2,2,NaN);
t2=getcdf_batch('levitus_monthly','t',[12,1,1,2],[12,360,180,2],[1 ...
    1 1 1],2,2,NaN);
t3=getcdf_batch('levitus_monthly','t',[12,1,1,3],[12,360,180,3],[1 ...
    1 1 1],2,2,NaN);
t4=getcdf_batch('levitus_monthly','t',[12,1,1,4],[12,360,180,4],[1 ...
    1 1 1],2,2,NaN);
t5=getcdf_batch('levitus_monthly','t',[12,1,1,5],[12,360,180,5],[1 ...
    1 1 1],2,2,NaN);
t6=getcdf_batch('levitus_monthly','t',[12,1,1,6],[12,360,180,6],[1 ...
    1 1 1],2,2,NaN);
t7=getcdf_batch('levitus_monthly','t',[12,1,1,7],[12,360,180,7],[1 ...
    1 1 1],2,2,NaN);
%
% surfaces are 0 10 20 30 50 75 100, thicknesses 5,10,10,15,22.5,25,25
% cumulative thickness 5,15,25,40,62.5,87.5,112.5
%
temp12=(1/100)*(5*t1+10*t2+10*t3+15*t4+22.5*t5+25*t6+25*t7)';
%
%
%
salt=getcdf_batch('levitus_mean','s',[1,1,7],[360,180,7],[1 1 1],2,2,NaN);
salt=salt';
%
% Calculate thermal expansion coefficient for average month
%
t_av=(temp1+temp2+temp3+temp4+temp5+temp6+temp7+temp8+temp9+temp10+...
    temp11+temp12)/12;
[m,n]=size(t_av)
pressure=100*ones(m,n);
the=theta(pressure,t_av,salt,0);
alph=alpha(salt,the,pressure);
%
%
rho=1024
h_mix=100
factor=h_mix*alph;
%
% calculate the sea-surface height change in mixed layer
%
eta1= factor.*(temp1-t_av);
eta2= factor.*(temp2-t_av);
eta3= factor.*(temp3-t_av);
eta4= factor.*(temp4-t_av);
eta5= factor.*(temp5-t_av);
eta6= factor.*(temp6-t_av);
eta7= factor.*(temp7-t_av);
eta8= factor.*(temp8-t_av);
eta9= factor.*(temp9-t_av);
eta10= factor.*(temp10-t_av);
eta11= factor.*(temp11-t_av);
eta12= factor.*(temp12-t_av);
%
%
[m,n]=size(eta1);
mean_eta=zeros(m,12);
for i=1:12
  string=['eta',num2str(i)]
  eval(['mean_eta(:,i)=meanstd2(eta',num2str(i),');']);
end
%
%
mean_temp_monthly=zeros(m,12);
for i=1:12
  eval(['mean_temp_monthly(:,i)=meanstd2(temp',num2str(i),'-t_av);']);
end
%
%
mean_alph=meanstd2(alph);
%
save GLRESULTS

