function [data_nstd]=inter_vert(data,depths,nstd)
%function [data_nstd]=inter_vert(data,depths,nstd)
%
% data    m*n matrix of values to interpolate
% nstd    mm*1 vector of values
%
%
[m,n]=size(data)
mm=length(nstd);
data_nstd=NaN*ones(mm,n);
%
for i=1:n
  string=i
	index1=find(finite(data(:,i)));
        [mini,min_index]=min(depths(index1,i));
	[maxi,max_index]=max(depths(index1,i));
	index2=find(nstd >= mini & nstd <= maxi);
	if ~isempty(index1) | ~isempty(index2),
	        [depths(index1,i),ii]=sort(depths(index1,i));
		data(index1,i)=data(index1(ii),i);
%		keyboard
% checking for monotonicity
                index_monotonic=monotonic2(depths(index1,i))
		depths(index1,i)'
		depths(index1(index_monotonic),i)'
%
		data_nstd(index2,i)= interp1( ... 
		    depths(index1(index_monotonic),i)...
		               ,data(index1(index_monotonic),i),nstd(index2));
	end 
end


