%function [tmp, tmperror]=mapontogrid(nfield, pos1, pos2, p,q,s,e)
%
%
% nfield  m*n matrix of the field data: rows correspond to std depth
%	 cols correspond to each cast.  
% pos1	 n*3 matrix of loacation of grid positions
% pos2	 n*3 matrix of locations of data positions
% p	 horizontal length scale (km)
% q	 vertical scale (std depths)
% s	 signal variance 
% e	 noise variance
%
% meanfield	m*n matrix of flagged data 
%
function [tmp, tmperror]=mapontogrid(nfield, pos1, pos2, p,q,s,e)
% create the covariance matrices
string='Creating covariance matrices'
[Cmd] = s*covar(pos1,pos2,p,q);	% model-data covariance matrix
[nn,i]=size(pos1)
[mm,i]=size(pos2)
[Cdd] = s*covar(pos2,pos2,p,q);
Cdd(1:mm+1:mm^2+mm)=diag(Cdd)+e*ones(mm,1);% data-data cov. matrix
string='Mapping the data'
[Cdd]=inv(Cdd);
[tmp]=Cmd*Cdd*nfield;
%pcolor(Cmd*Cdd); shading flat
tmperror=zeros(nn,1);
for i=1:nn
	tmperror(i,1)=sqrt(s-Cmd(i,:)*Cdd*Cmd(i,:)');
end
string='finished mapontodata'
