%+----------------------------------------------------------+
%|                                                          | 
%| MissingData2()..: Finds and displays any missing data    | 
%|                   points in a cast (row vector)          |
%|                                                          |
%| Inputs..........: InMatrix[N][M]: input matrix           |
%|                                                          |
%| Outputs.........: status[M] =1: missing data in column   |
%|                             =0: no missing data in column| 
%|                                                          |
%| Call Format.....:                                        | 
%|                                                          |
%+----------------------------------------------------------+

function status=MissingData2(InMatrix)

[ROWS,COLS]=size(InMatrix);

for c=1:COLS,
   status(c)=0;
   ROW=ROWS;

   while (InMatrix(ROW,c)==NaN),
      if (ROW<=1) status(c)=1; break; end
      ROW=ROW-1; 
   end

   for r=1:ROW,
      if (InMatrix(r,c)==NaN)
         status(c)=1;
         break;
      end
   end
end

r=sum(status);
fprintf('%g, ', r);
 
