%+----------------------------------------------------------+
%|                                                          | 
%| Monotonicity(): Checks that the input vector is monotonic| 
%|                 strictly  increasing                     |
%|                                                          |
%| Inputs.......: Invector[N]: input vector                 |
%|                                                          |
%| Outputs......: status[M] =1: non monotonic data in column|
%|                          =0: monotonic data in column    | 
%|                                                          |
%| Call Format..:                                           | 
%|                                                          |
%+----------------------------------------------------------+

function status=Monotonicity(InVector)

[ROWS]=size(InVector);

status=0;

while (InVector(ROWS)==NaN), 
   if (ROWS<=1) status=1; break; end
   ROWS=ROWS-1; 
end

for i=1:ROWS-1,

   if (InVector(i) > InVector(i+1)) 
      status=1; 
      break;
   end

end


 
