function [mean,sigma]=noise(a,xlat,xlong)
% function [mean,sigma]=noise(a,xlat,xlong)
% xlat	a vector of latitudes
% xlong a vector of longitudes corresponding to each cast
% a	m*n matrix fields consisting of m layers and n casts
% sigma	the standard deviation of the differences of the closest cast
% 	divided by two.
% Note: sigma is an estimate of the noise due to variations between casts
%
[m,n]=size(a);
diff=NaN*ones(m,n);
index=zeros(1,n);
for i=1:n
	xlat0=xlat(i)*ones(1,n);
	xlong0=xlong(i)*ones(1,n);
	r=(xlat0-xlat).^2+ (xlong0-xlong).^2;
	index=find( r > 0);
	[tmp]=min(r(index));
	j=find(r==tmp);
	k=find(finite(a(:,i)) & finite(a(:,j(1))));
	if length(k)==0,
		diff(:,i)=NaN*ones(m,1);
	else
		diff(k,i)=a(k,i)-a(k,j(1));
	end
end
[mean,sigma]=meanstd2(diff);
sigma=sigma./sqrt(2);