function [osat]=oxspr(t,s)
%
% t   m*n matrix of insitu(?) temperatures (degrees C T90)
% s   m*n matrix of insitu(?) salinities   (psu)
% p   ???? no pressure dependence
%
% osat M*n matrix of oxygen saturation values (ml/l)
%  T90 is first converted to T68 inside the routine
%
      a1=-173.4292;
      a2= 249.6339;
      a3= 143.3483;
      a4= -21.8492;
      b1= -.033096;
      b2=  .014259;
      b3= -.0017;
%
      t=t.*1.00024;
%
      [m,n]=size(t);
      one=ones(m,n);
      tt=t+273.16*one;
      tonhun=tt/100.;
%
      osat=exp(a1*one+a2./tonhun+a3*log(tonhun)+a4*tonhun+...
	  s.*(b1*one+b2*tonhun+b3*tonhun.*tonhun));

%      osat=44.6595*osat;   % convert to umol/l


