function ploterrors(x,y,error,LineWidth)
%
% x     m*n matrix of x data
% y     m*n matrix of y data
% error m*n matrix of errors (rms)
% LineWidth 1*1 scalar of linewidth
% linetype character
%
% Operation: This program plots vectors x,y with corresponding
% error bars centred on the line. It follow the normal algebraic
% convention of the errors plotted on the vertical axis (to be
% contrasted with common oceanographic practise. Each column is
% plotted as a single line giving n lines on the graph
%
% Authour: N.L.Bindoff
% Date: 28/July/1992
%
%
[m,n]=size(x);
%
%
LineStyle=['- ','--',': ','- ','--',': ']
inc=(max(x(:,1))-min(x(:,1)))/300;
fact=0.0
for i=1:n,
  h0=plot(x(:,i),y(:,i),'k')
  hold on
  set(h0,'LineWidth',LineWidth,'LineStyle',LineStyle(2*i-1:2*i))
  tmpx=[x(:,i)+fact*ones(m,1),x(:,i)+fact*ones(m,1)];
  tmpy=[y(:,i)-error(:,i),y(:,i)+error(:,i)];
  h1=plot(tmpx',tmpy','-k');
  fact=fact+inc;
end
hold off
%set(h0,'LineWidth',LineWidth)



