% p = pressure80(dpth,xlat)     p80   p80   p80   p80
% PRESSURE FROM DEPTH FROM SAUNDER'S  FORMULA WITH EOS80
% REFERENCE: SAUNDERS,PETER M., PRACTICAL CONVERSION OF PRESSURE
%            TO DEPTH., J.P.O., APRIL 1981
%
% dpth    m*n matrix of depths in metres
% xlat    m*n vector of latitudes, decimal degrees
%
% R. MILLARD. put into matlab by c.wunsch, 1989
% MARCH 9, 1983
% CHECK VALUE: P80=7500.004 DBARS;FOR LAT=30 DEG., DEPTH=7321.45% METERS
%
      function  p =pressure80(dpth,xlat)
      [m,n]=size(dpth);
      one=ones(m,n);
      PLAT = abs((pi/180.)*xlat);
      D=sin(PLAT);
      C1=5.92E-3*one+5.25E-3*(D.^2);
      p=((one-C1)-sqrt(((one-C1).^2)-(8.84E-6*dpth)))/4.42E-6;

