function print
%PRINT	Send the graph currently on the screen to a local printer.
%
%       This is the generic Matlab print.m modified for the CSIRO Marine
%	Labs.  It prints on the Ocean Modelling laserprinter in the
%	Remote Sensing Computer Room in Block 3.  Modify the lpr_cmd
%       to use your own printer.
%
%       John Wilkin
%       11 July 91

% Unix comes in two flavors: BSD and SystemV
%
% SystemV:	SGI
% BSD: 		(everything else so far)
%

t = fix(clock);
fname = ['mtmp' sprintf('%02.0f%02.0f%02.0f',t(4),t(5),t(6))]; 		% unique name

eval(['meta ' fname])					% Current plot to temporary metafile
gpp_cmd = ['gpp ' fname '.met -dps'];			% gpp cmd and options
rm_cmd  = ['/bin/sh -c ''rm -f ', fname, '.met'''];	% remove temporary meta file

if strcmp (computer, 'SGI')
	lpr_cmd = ['lpr -Plw -r ' fname '.ps'];		% File automatically removed
else
	lpr_cmd = ['lw ' fname '.ps'];	                % print cmd with file remove
end
semi = ';';
eval(['!('   gpp_cmd   semi   rm_cmd   semi   lpr_cmd  ') &'])





