%
% load the mapped v and reconstruct the normalised data and the dimensional
% data
%
1			% paragraph 1
load vanalyse.mat
load uvectors.mat
load regionalmeans.mat
load 12S.header.mat
% get noise terms
load /home/bindoff/spac/spac.diffstats0
%
tempnoise=spac(:,3);
salnoise=spac(:,6);
oxynoise=spac(:,9);
phosnoise=spac(:,12);
silnoise=spac(:,15);
clear spac
%
% find each of the casts that resides in the zones
%
2			% paragraph 2
zone1=find((lat <= -4) & (lat >=-25) & (long >=100) & (long <120));
zone2=find((lat <= -5) & (lat >=-25) & (long >=120) & (long <140));
zone3=find((lat <= -5) & (lat >=-25) & (long >=140) & (long <180));
zone4=find((lat <= -5) & (lat >=-25) & (long >=180) & (long <250));
zone5=find((lat <= -4) & (lat >=-25) & (long >=250) & (long <300));
% 
% reconstruct the data to rank 35 (not transposition on vanalyse)
%
3			% paragraph 3
rank=10
Anorm=(u(:,1:rank)*s(1:rank,1:rank))*vanalyse(:,1:rank)';
%
% construct means for each zone and noise
%
4			% paragraph 4
Amean=[tmean; salmean; oxymean; phosmean; silmean];
Astd=[tempnoise; salnoise; oxynoise; phosnoise; silnoise];
%
% produce the dimensional field
%
5			% paragraph 5
[m,n]=size(Anorm)
A=zeros(m,n);
dum=diag(Astd);
A(:,zone1)=dum*Anorm(:,zone1);   % no stations in this zone
A(:,zone2)=dum*Anorm(:,zone2);   % no stations in this zone
A(:,zone3)=dum*Anorm(:,zone3);
A(:,zone4)=dum*Anorm(:,zone4);
A(:,zone5)=dum*Anorm(:,zone5);
%
[m,n]=size(zone1)
A(:,zone1)=A(:,zone1) + diag(Amean(:,1))*ones(190,n);
[m,n]=size(zone2)
A(:,zone2)=A(:,zone2) + diag(Amean(:,2))*ones(190,n);
[m,n]=size(zone3)
A(:,zone3)=A(:,zone3) + diag(Amean(:,3))*ones(190,n);
[m,n]=size(zone4)
A(:,zone4)=A(:,zone4) + diag(Amean(:,4))*ones(190,n);
[m,n]=size(zone5)
A(:,zone5)=A(:,zone5) + diag(Amean(:,5))*ones(190,n);
%
% recover the components of the fields
%
6			% paragraph 
temp=A(1:38,:);
salt=A(39:76,:);
oxy=A(77:114,:);
phos=A(115:152,:);
silica=A(153:190,:);
%
% better save this very important matrix
%
save 12S.rank10.try2.mat temp salt phos silica



