%+----------------------------------------------------------+
%|                                                          | 
%| rowsize().......: returns the number of valid data points| 
%|                   in matrix row vector, ignoring NaN.    |
%|                                                          |
%| Inputs..........: RowVector[N]: input row vector         |
%|                                                          |
%| Outputs.........: n: number of valid data points n<=N    |
%|                                                          |
%| Call Format.....:                                        | 
%|                                                          |
%+----------------------------------------------------------+

function ROWS=RowSize(RowVector)

[ROWS,COLS]=size(RowVector);

while(RowVector(ROWS,COLS) == NaN), 
   ROWS=ROWS-1; 
   if (ROWS<=0) break; end
end
  
 
