% function [index1,index2]= sortcasts(lat1,long1,lat2,long2,r)
%
% A simple routine which takes two set of coordinates belonging
% to a separate set of casts and searches 
% for the nearest cast in the second data set corresponding
% to the casts in the first data set.
%
% lat1	n*1 vector of latitudes (decimal degrees)
% long1 n*1 vector of longitudes
% lat2	m*1 vector of latitudes to the second set of casts
% long2 m*1 vector of latitudes to the second set of casts
% r	scalar, defines the maximum distance two casts can be apart
% 
% output
% index1 p*1 vector p<n index of the original casts that have near 
%	neighbours  defined by the paramater r
% index2 p*1 vector p<n index of the casts that are close to the
%	 first set of casts
%
function [index1,index2]= sortcasts(lat1,long1,lat2,long2,r)
j=0;
for i=1:length(lat1)
	[d]=distvec(long1(i),lat1(i),long2,lat2);
	[minimum,ii]=min(d);
	if minimum < r,
		j=j+1;
		index1(j)=i;
		index2(j)=ii;
	end
end
