%
%
load depths
mask=zeros(size(depth));
ii=find(depth>=0);
mask(ii)= NaN*ones(1,length(ii));
ii=find(depth<0);
mask(ii)= 0.0*ones(1,length(ii));
%
%
load hellerman
%
% Note Hellerman is in cgs units, therefore need 0.1 factor for
% to convert to si windstresses.
%
[m,n]=size(decx);
curl1=0.1*curl_z(janx,jany,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl2=0.1*curl_z(febx,feby,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl3=0.1*curl_z(marx,mary,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl4=0.1*curl_z(aprx,apry,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl5=0.1*curl_z(mayx,mayy,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl6=0.1*curl_z(junx,juny,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl7=0.1*curl_z(julx,july,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl8=0.1*curl_z(augx,augy,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl9=0.1*curl_z(sepx,sepy,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl10=0.1*curl_z(octx,octy,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl11=0.1*curl_z(novx,novy,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl12=0.1*curl_z(decx,decy,lat(:,ones(1,n)),lon(:,ones(m,1))');
%
av_curl=(curl1+curl2+curl3+curl4+curl5+curl5+curl6+...
    curl7+curl8+curl9+curl10+curl12)/12;
av_curl= av_curl + mask(2:89,2:179); 
%
curl1=curl1-av_curl;
curl2=curl2-av_curl;
curl3=curl3-av_curl;
curl4=curl4-av_curl;
curl5=curl5-av_curl;
curl6=curl6-av_curl;
curl7=curl7-av_curl;
curl8=curl8-av_curl;
curl9=curl9-av_curl;
curl10=curl10-av_curl;
curl11=curl11-av_curl;
curl12=curl12-av_curl;
%
% curl1, curl2, curl3, ... are the wind stress curl field
% for january, february, march, ....
%
lat=lat(2:m-1)
lon=lon(2:n-1)
%
eta1= curl1;
eta2= curl2;
eta3= curl3;
eta4= curl4;
eta5= curl5;
eta6= curl6;
eta7= curl7;
eta8= curl8;
eta9= curl9;
eta10= curl10;
eta11= curl11;
eta12= curl12;
%
%
av_eta= (eta1+eta2+eta3+eta4+eta5+eta6+eta7+eta8+eta9+eta10+...
		eta11+eta12)/12;
av_eta= av_eta + mask(2:89,2:179); 
%
% now set the sea-surface height field with respect to the average
eta1=eta1-av_eta;
eta2=eta2-av_eta;
eta3=eta3-av_eta;
eta4=eta4-av_eta;
eta5=eta5-av_eta;
eta6=eta6-av_eta;
eta7=eta7-av_eta;
eta8=eta8-av_eta;
eta9=eta9-av_eta;
eta10=eta10-av_eta;
eta11=eta11-av_eta;
eta12=eta12-av_eta;
%
%
%ssh_harmonic
%
%  Trying to produce plots of low-level spherical harmonic
%  representation of seasonal variation of sea-surface
%  height field based on the model of sea-surface mixing.
%
%  Note: I have assumed that model_fluxes2.m has been run
%        prior to this routine
%  Author: N.L. Bindoff  (based on Herman Van Hysen sst.m
%                         routine)
%
%load results
%load temp2
%
%global lats
%
%
% Latitude and longitude information have to be arranged into a
% column matrix.
%
[M,N]=size(eta1)
tlat=lat(:,ones(1,N));
tlon=lon(:,ones(M,1))';
tlat=reshape(tlat,M*N,1);
tlon=reshape(tlon,M*N,1);
%tlat=kron([60 30 0 -30 -60]',ones(12,1));
%tlon=kron(ones(5,1),30*[0:11]');
%
% for spherical harmonic analysis eliminate the most extreme northern
% and southern latitudes because T/P data donot exist there.
%
indexnorth=find(lat>=60)
indexsouth=find(lat<=-60)
regionnorth=NaN*ones(length(indexnorth),N);
regionsouth=NaN*ones(length(indexsouth),N);
for i=1:12
  i
  eval(['eta',num2str(i),'(indexnorth,:)=regionnorth;'])
  eval(['eta',num2str(i),'(indexsouth,:)=regionsouth;'])
end
%
% The data are arranged, so that lat-lon space corresponds to 
% row and columns correspond time.
%
tdat=zeros(M*N,12);
tdat(:,1)=reshape(eta1,M*N,1);      % January
tdat(:,2)=reshape(eta2,M*N,1);      % February
tdat(:,3)=reshape(eta3,M*N,1);      % March
tdat(:,4)=reshape(eta4,M*N,1);
tdat(:,5)=reshape(eta5,M*N,1);
tdat(:,6)=reshape(eta6,M*N,1);
tdat(:,7)=reshape(eta7,M*N,1);
tdat(:,8)=reshape(eta8,M*N,1);
tdat(:,9)=reshape(eta9,M*N,1);
tdat(:,10)=reshape(eta10,M*N,1);
tdat(:,11)=reshape(eta11,M*N,1);
tdat(:,12)=reshape(eta12,M*N,1);
%
%  convert lat's, and lon's to radians
%
tlat=tlat*pi/180;
tlon=tlon*pi/180;
nn=length(tlat);
%
% for checking one can use the test data below
% tdat=[sin(tlat(:,ones(1,12)))];
%
tg1=[ones(nn,1) sin(tlat) 1/2*(3*sin(tlat).^2-1) cos(tlat).*cos(tlon) cos(tlat).*sin(tlon)];
tg1=[tg1 3*sin(tlat).*cos(tlat).*cos(tlon) 3*sin(tlat).*cos(tlat).*sin(tlon)];
tg1=[tg1 3*cos(tlat).^2.*cos(2*tlon)  3*cos(tlat).^2.*sin(2*tlon)];
 
% Interpolate t to cycles, over the 50 cycles
ncyc=73;
tlat=tlat(~isnan(tdat(:,1)));
tlon=tlon(~isnan(tdat(:,1)));
tg1(isnan(tdat(:,1)),:)=[];
tdat(isnan(tdat(:,1)),:)=[];
tdat=[tdat tdat tdat];

[MM,NN]=size(tdat);
NN=NN/3
col=NaN*zeros(ncyc,1);
frac=NaN*zeros(ncyc,1);
day=NaN*zeros(ncyc,1);

for i=1:ncyc
  day(i)=(i-1)*10+266;           % start day 266
  col(i)=fix((day(i)/365)*NN)+1;
  frac(i)=rem(day(i),365/NN)/(365/NN);
  t(:,i)=tdat(:,col(i))+frac(i)*(tdat(:,col(i)+1)-tdat(:,col(i)));
end

%
% Now invert the matrix to get the harmonics
%

tsh=inv(tg1'*tg1)*tg1'*t;
%
% Calculate the residual for each cycle
%

R2=zeros(1,ncyc);
for j=1:ncyc
  R2(j)=(tg1*tsh(:,j))'*(tg1*tsh(:,j))/(t(:,j)'*t(:,j));
end

scale=0.2e-7

hold off;
plot(1:ncyc,[tsh+scale*[1:9]'*ones(1,ncyc)],'w-');hold on
plot(1:ncyc,scale*[1:9]'*ones(1,ncyc),'w--')
title('Harmonic coefficients wind stress curl (H&R)')

axis([1,ncyc+1,0,scale*9+scale])
labels=['C00';'C10';'C20';'C11';'S11';'C21';'S21';'C22';'S22']; 
text((ncyc+1.2)*ones(9,1),scale*[1:9]',labels)
xlabel('Cycle No.')
ylabel('Coefficient, curl')
orient tall
print -dpsc figure1.ps


pause
hold off
plot(1:ncyc,R2,'w-')
title('R^2 Wind Stress Curl')
xlabel('Cycle No.')
ylabel('Variance Explained')
orient portrait
print -dpsc -append figure2.ps




