%
%
% Load the data for the wind fields.
% In this case it is Hellerman and Rosenstein
%
load depths
mask=zeros(size(depth));
ii=find(depth>=0);
mask(ii)= NaN*ones(1,length(ii));
ii=find(depth<0);
mask(ii)= 0.0*ones(1,length(ii));
%
load hellerman.mat
%
[m,n]=size(decx);
av_taux=(janx+febx+marx+aprx+mayx+junx+julx+augx+sepx+octx+novx+decx)/12;
av_taux=av_taux+mask;
av_taux=av_taux/10;        %convert to si units
%
%
degrad=pi/180;
omega=7.292e-5
f=(2*omega*sin(degrad*(lat(:,ones(1,n)))));
%
M_y=-av_taux./f;
%
%
distance=2*111*1000*cos(degrad*lat);
M_y_deg=distance(:,ones(1,n)).*M_y/1e6/1e3;     % converting to Sverdrups
%
%
tot_M_y=nansum(M_y_deg')';
%
figure
plot(lat,tot_M_y)
axis([-90, 90, -40 40])
grid
%
figure
plot(lat,tot_M_y)
axis([-80 -30 -40 40])
grid
xlabel('Latitude')
ylabel('Sv')
title('Zonal integral Ekman transport (HR winds)')
print -deps fig:zonal_integral.eps
%
figure
pcolor(lon,lat,M_y_deg); shading flat; colorbar
colormap('jet');
grid
%
figure
pcolor(lon,lat,av_taux); shading flat; colorbar
colormap('jet');
grid

