%
%
% calculate the role of winds in the LSG model by subtracting the steric
% effect of heat from the model
%
load LSGRESULTS
%
% rename eta to be zeta
%
for k=1:36
  string=['zeta',num2str(k),'= eta',num2str(k),';']
  eval(string)
end
%
%
load levitusdata
latlev=lat;
lonlev=lon;
%
load HEATFLUX180
%
%
% Now find the point in the levitus data closest to the
% LSG grid points
%
for i=1:72
  [Y,indexlat(i)]=min(abs(ZETAlats180(i)*ones(180,1)-latlev));
end
for j=1:144
  [Y,indexlon(j)]=min(abs(ZETAlons180(j)*ones(360,1)-lonlev));
end
%
% Now calculate the distribution of alpha
temp=temp(indexlon,indexlat)';
salt=salt(indexlon,indexlat)';
[m,n]=size(temp)
pressure=100*ones(m,n);
the=theta(pressure,temp,salt,0);
alph=alpha(salt,the,pressure);
%keyboard
%
%ii=find(mask==1);
%mask(ii)=NaN*ones(length(ii),1);
%
%
% Replace flags
%
ii=find(HEATFLUX180 > 9e+4);
HEATFLUX180(ii)=NaN*ones(length(ii),1);
%
jj=1:144*72;
twelve=36
%
for k=1:36
  ii=[(k-1)*72+1:(k-1)*72+72];
  string=['HEATFLUX',num2str(k),'= reshape((HEATFLUX180(k,jj)+', ...
      'HEATFLUX180(k+twelve,jj)',...
      '+HEATFLUX180(2*twelve+k,jj)+',...
      'HEATFLUX180(3*twelve+k,jj)+HEATFLUX180(4*twelve+k,jj))/5,144,72)'';']
  eval(string)
end;
%
%
av_HEATFLUX= (HEATFLUX1+HEATFLUX2+HEATFLUX3+HEATFLUX4+HEATFLUX5+HEATFLUX6+HEATFLUX7+HEATFLUX8+HEATFLUX9+HEATFLUX10+...
		HEATFLUX11+HEATFLUX12+HEATFLUX13+HEATFLUX14+HEATFLUX15+HEATFLUX16+HEATFLUX17+...
		HEATFLUX18+HEATFLUX19+HEATFLUX20+HEATFLUX21+HEATFLUX22+HEATFLUX23+HEATFLUX24+HEATFLUX25+...
		HEATFLUX26+HEATFLUX27+HEATFLUX28+HEATFLUX29+HEATFLUX30+HEATFLUX31+HEATFLUX32+...
		HEATFLUX33+HEATFLUX34+HEATFLUX35+HEATFLUX36)/36;
%
%
for k=1:36
  string=['HEATFLUX',num2str(k),'= HEATFLUX',num2str(k),' -av_HEATFLUX;']
  eval(string)
end
%
%
lat=ZETAlats180';
lon=ZETAlons180';
%
%
%
Cp=3980
rho=1024
h_mix=100
factor=h_mix*alph/(Cp*rho*h_mix);
%
%
% Integrate, assuming that the sea-surface height field is
% initially zero at last day of proceeding year
%
delt=365.25*24*60*60/36		% time interval for integration
eta1= factor.*HEATFLUX1*delt;
for k=2:36
    string=['eta',num2str(k),'= eta',num2str(k-1),' + delt*factor.*HEATFLUX',num2str(k),';']
  eval(string)
end
%
% now remove the contribution of the heatflux from zeta
%
for k=1:36
    string=['eta',num2str(k),'= zeta',num2str(k),' - eta',num2str(k),';']
  eval(string)
end
%
% Now find the mean seasonal signal due to the effect of freshwater on LSG
%
index2=find(finite(eta1));
for k=1:36
    string=['m_eta(',num2str(k),')= mean(eta',num2str(k),'(index2));']
  eval(string)
end
%
save freshwatermean m_eta
%
% now remove mean seasonal signal due to freshwater on LSG
%
%
[MM,NN]=size(eta1)
for k=1:36
    string=['eta',num2str(k),'= eta',num2str(k),'-m_eta(',num2str(k),')*ones(MM,NN);']
  eval(string)
end
%
%
%
h0=figure('papertype','a4letter')
h1=subplot(1,1,1)
%orient landscape
time=0:10:359
plot(time,m_eta)
grid
axis([0 360 -0.02 0.02])
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
ylabel('Latitude')
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
xlabel('Time, days');
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
title('LSG_freshwater')
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
print -deps figure_LSG_freshwater.eps
%
for k=1:36
  string=['[mean_eta(:,',num2str(k),'),dummy]= meanstd2(eta', ...
      num2str(k),');']
  eval(string)
end
%
%
%
ssh_harmonics3






