%
%
% calculate the role of winds in the LSG model by subtracting the steric
% effect of heat from the model
%
load LSGRESULTS
%
% rename eta to be zeta
%
for k=1:36
  string=['zeta',num2str(k),'= eta',num2str(k),';']
  eval(string)
end
%
%
load levitusdata
latlev=lat;
lonlev=lon;
%
load HEATFLUX180
%
%
% Now find the point in the levitus data closest to the
% LSG grid points
%
for i=1:72
  [Y,indexlat(i)]=min(abs(ZETAlats180(i)*ones(180,1)-latlev));
end
for j=1:144
  [Y,indexlon(j)]=min(abs(ZETAlons180(j)*ones(360,1)-lonlev));
end
%
% Now calculate the distribution of alpha
temp=temp(indexlon,indexlat)';
salt=salt(indexlon,indexlat)';
[m,n]=size(temp)
pressure=100*ones(m,n);
the=theta(pressure,temp,salt,0);
alph=alpha(salt,the,pressure);
%keyboard
%
%ii=find(mask==1);
%mask(ii)=NaN*ones(length(ii),1);
%
%
% Replace flags
%
ii=find(HEATFLUX180 > 9e+4);
HEATFLUX180(ii)=NaN*ones(length(ii),1);
%
jj=1:144*72;
twelve=36
%
for k=1:36
  ii=[(k-1)*72+1:(k-1)*72+72];
  string=['HEATFLUX',num2str(k),'= reshape((HEATFLUX180(k,jj)+', ...
      'HEATFLUX180(k+twelve,jj)',...
      '+HEATFLUX180(2*twelve+k,jj)+',...
      'HEATFLUX180(3*twelve+k,jj)+HEATFLUX180(4*twelve+k,jj))/5,144,72)'';']
  eval(string)
end;
%
%
av_HEATFLUX= (HEATFLUX1+HEATFLUX2+HEATFLUX3+HEATFLUX4+HEATFLUX5+HEATFLUX6+HEATFLUX7+HEATFLUX8+HEATFLUX9+HEATFLUX10+...
		HEATFLUX11+HEATFLUX12+HEATFLUX13+HEATFLUX14+HEATFLUX15+HEATFLUX16+HEATFLUX17+...
		HEATFLUX18+HEATFLUX19+HEATFLUX20+HEATFLUX21+HEATFLUX22+HEATFLUX23+HEATFLUX24+HEATFLUX25+...
		HEATFLUX26+HEATFLUX27+HEATFLUX28+HEATFLUX29+HEATFLUX30+HEATFLUX31+HEATFLUX32+...
		HEATFLUX33+HEATFLUX34+HEATFLUX35+HEATFLUX36)/36;
%
%
for k=1:36
  string=['HEATFLUX',num2str(k),'= HEATFLUX',num2str(k),' -av_HEATFLUX;']
  eval(string)
end
%
%
lat=ZETAlats180';
lon=ZETAlons180';
%
%
%
Cp=3980
rho=1024
h_mix=100
factor=h_mix*alph/(Cp*rho*h_mix);
%
%
% Integrate, assuming that the sea-surface height field is
% initially zero at last day of proceeding year
%
delt=365.25*24*60*60/36		% time interval for integration
eta1= factor.*HEATFLUX1*delt;
for k=2:36
    string=['eta',num2str(k),'= eta',num2str(k-1),' + delt*factor.*HEATFLUX',num2str(k),';']
  eval(string)
end
%
% now remove the contribution of the heatflux from zeta
%
for k=1:36
    string=['eta',num2str(k),'= zeta',num2str(k),' - eta',num2str(k),';']
  eval(string)
end
%
% Now find the mean seasonal signal due to the effect of freshwater on LSG
%
index2=find(finite(eta1));
for k=1:36
    string=['m_eta(',num2str(k),')= mean(eta',num2str(k),'(index2));']
  eval(string)
end
%
save freshwatermean m_eta
%
% now remove mean seasonal signal due to freshwater on LSG
%
%
[MM,NN]=size(eta1)
for k=1:36
    string=['eta',num2str(k),'= eta',num2str(k),'-m_eta(',num2str(k),')*ones(MM,NN);']
  eval(string)
end
%
%
%
%
for k=1:36
  string=['[mean_eta(:,',num2str(k),'),dummy]= meanstd2(eta', ...
      num2str(k),');']
  eval(string)
end
%
%
for k=1:36
    string=['eta(:,:,',num2str(k),')= eta',num2str(k),';']
  eval(string)
end
%
%
%
%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure('papertype','a4letter','paperposition',[0.25 0.25 8 11])
set(0, 'defaulttextFontname', 'times')
set(0, 'defaultaxesFontname', 'times')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

x=lon(60:115);
y=10*[1:3:36];
y=1:12
Z= squeeze(eta(29,60:115,1:3:36))';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
typ=1;
incr=0.008; v=-0.096:incr:0.096;
%
A1=axes('position',[.15,.65,.7,.3]);
minnv=min(v); maxnv=-incr;
minpv=incr; maxpv=max(v);
extcontour(x,y,Z,[minnv:incr:maxnv],'label',72,'fontsize',9,'linewidth',1,'--');
hold on
 extcontour(x,y,Z,[minpv:incr:maxpv],'label',72,'fontsize',9,'linewidth',1,'-');
hold off
%
axis([min(x) max(x) min(y) max(y)])
%
set(gca,'Fontsize',[14])
xlabel('Longitude (deg)')
ylabel('Month')
set(gca,'Fontsize',[14])
grid
%
if typ == 1,
  y={'Jan';'Feb';'Mar';'Apr';'May';'Jun';'Jul';'Aug';'Sep';'Oct';'Nov';'Dec'}'
  set(gca,'YTick',1:12,'YTickLabel',y)
 elseif typ == 2,
  x={'Jan';'Feb';'Mar';'Apr';'May';'Jun';'Jul';'Aug';'Sep';'Oct';'Nov';'Dec'}'
  set(gca,'XTick',1:12,'XTickLabel',x)
end
 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
print -deps fig:lsg_hovmoller_paper.eps 





