%
%
% Load the data for the wind fields.
% In this case it is Hellerman and Rosenstein
%
load fluxdata
%
%
ii=find(mask==1);
mask(ii)=NaN*ones(length(ii),1);
%
av_flux=(q_net_downward1+q_net_downward2+...
    q_net_downward3+q_net_downward4+...
    q_net_downward5+q_net_downward6+...
    q_net_downward7+q_net_downward8+...
    q_net_downward9+q_net_downward10+...
    q_net_downward11+q_net_downward12)/12 + mask;
%
%
q_net_downward1=q_net_downward1-mask;
q_net_downward2=q_net_downward2-mask;
q_net_downward3=q_net_downward3-mask;
q_net_downward4=q_net_downward4-mask;
q_net_downward5=q_net_downward5-mask;
q_net_downward6=q_net_downward6-mask;
q_net_downward7=q_net_downward7-mask;
q_net_downward8=q_net_downward8-mask;
q_net_downward9=q_net_downward9-mask;
q_net_downward10=q_net_downward10-mask;
q_net_downward11=q_net_downward11-mask;
q_net_downward12=q_net_downward12-mask;
%
alpha=1.5e-4
Cp=3980
rho=1024
h_mix=100
factor=h_mix*alpha/(Cp*rho*h_mix)
%
%
% Integrate, assuming that the sea-surface height field is
% initially zero at last day of proceeding year
%
delt=365.25*24*60*60/12		% time interval for integration
eta1= factor.*q_net_downward1*delt;
eta2= eta1+ factor.*q_net_downward2*delt;
eta3= eta2+ factor.*q_net_downward3*delt;
eta4= eta3+ factor.*q_net_downward4*delt;
eta5= eta4+ factor.*q_net_downward5*delt;
eta6= eta5+ factor.*q_net_downward6*delt;
eta7= eta6+ factor.*q_net_downward7*delt;
eta8= eta7+ factor.*q_net_downward8*delt;
eta9= eta8+ factor.*q_net_downward9*delt;
eta10= eta9+ factor.*q_net_downward10*delt;
eta11= eta10+ factor.*q_net_downward11*delt;
eta12= eta11+ factor.*q_net_downward12*delt;
%
%
av_eta= (eta1+eta2+eta3+eta4+eta5+eta6+eta7+eta8+eta9+eta10+...
		eta11+eta12)/12;
av_eta=av_eta + mask;
%
% now set the sea-surface height field with respect to the average
eta1=eta1-av_eta;
eta2=eta2-av_eta;
eta3=eta3-av_eta;
eta4=eta4-av_eta;
eta5=eta5-av_eta;
eta6=eta6-av_eta;
eta7=eta7-av_eta;
eta8=eta8-av_eta;
eta9=eta9-av_eta;
eta10=eta10-av_eta;
eta11=eta11-av_eta;
eta12=eta12-av_eta;
%
%
[m,n]=size(eta1);
mean_eta=zeros(m,12);
for i=1:12
  string=['eta',num2str(i)]
  eval(['mean_eta(:,i)=meanstd2(eta',num2str(i),');']);
end
%
%
mean_q_net_downward=zeros(m,12);
for i=1:12
  eval(['mean_q_net_downward(:,i)=meanstd2(q_net_downward',num2str(i),');']);
end
%
%
mean_temp=mean_eta/(alpha*h_mix);


