%
%
% Load the data for the flux fields.
% In this case it is the ecmwf data from BARNIER
%
load levitusdata
latlev=lat;
lonlev=lon;
%
load latent
lon=long'
lat=lat'% so ssh_harmonics runs ok!
%
%
% Now find the point in the levitus data closest to the
% fluxdata
%
mm=54
nn=65
for i=1:mm
  [Y,indexlat(i)]=min(abs(lat(i)*ones(180,1)-latlev));
end
for j=1:nn
  [Y,indexlon(j)]=min(abs(lon(j)*ones(360,1)-lonlev));
end
%
% Now calculate the distribution of alpha
temp=temp(indexlon,indexlat)';
salt=salt(indexlon,indexlat)';
[m,n]=size(temp)
pressure=100*ones(m,n);
the=theta(pressure,temp,salt,0);
alph=alpha(salt,the,pressure);
%keyboard
%
mask=zeros(mm,nn);
ii=find(isnan(temp));
mask(ii)=NaN*ones(length(ii),1);
%
av_flux=(LAT1+LAT2+...
    LAT3+LAT4+...
    LAT5+LAT6+...
    LAT7+LAT8+...
    LAT9+LAT10+...
    LAT11+LAT12)/12 + mask;
%
%
LAT1=LAT1-mask-av_flux;
LAT2=LAT2-mask-av_flux;
LAT3=LAT3-mask-av_flux;
LAT4=LAT4-mask-av_flux;
LAT5=LAT5-mask-av_flux;
LAT6=LAT6-mask-av_flux;
LAT7=LAT7-mask-av_flux;
LAT8=LAT8-mask-av_flux;
LAT9=LAT9-mask-av_flux;
LAT10=LAT10-mask-av_flux;
LAT11=LAT11-mask-av_flux;
LAT12=LAT12-mask-av_flux;
%
%alpha=1.5e-4
Cp=3980
rho=1024
h_mix=100
factor=h_mix*alph/(Cp*rho*h_mix);
%
%
% Integrate, assuming that the sea-surface height field is
% initially zero at last day of proceeding year
%
delt=365.25*24*60*60/12		% time interval for integration
eta1= factor.*LAT1*delt;
eta2= eta1+ factor.*LAT2*delt;
eta3= eta2+ factor.*LAT3*delt;
eta4= eta3+ factor.*LAT4*delt;
eta5= eta4+ factor.*LAT5*delt;
eta6= eta5+ factor.*LAT6*delt;
eta7= eta6+ factor.*LAT7*delt;
eta8= eta7+ factor.*LAT8*delt;
eta9= eta8+ factor.*LAT9*delt;
eta10= eta9+ factor.*LAT10*delt;
eta11= eta10+ factor.*LAT11*delt;
eta12= eta11+ factor.*LAT12*delt;
%
%
av_eta= (eta1+eta2+eta3+eta4+eta5+eta6+eta7+eta8+eta9+eta10+...
		eta11+eta12)/12;
av_eta=av_eta + mask;
%
% now set the sea-surface height field with respect to the average
%eta1=eta1-av_eta;
%eta2=eta2-av_eta;
%eta3=eta3-av_eta;
%eta4=eta4-av_eta;
%eta5=eta5-av_eta;
%eta6=eta6-av_eta;
%eta7=eta7-av_eta;
%eta8=eta8-av_eta;
%eta9=eta9-av_eta;
%eta10=eta10-av_eta;
%eta11=eta11-av_eta;
%eta12=eta12-av_eta;
%
%
[m,n]=size(eta1);
mean_eta=zeros(m,12);
for i=1:12
  string=['eta',num2str(i)]
  eval(['mean_eta(:,i)=meanstd2(eta',num2str(i),');']);
end
%
%
mean_LAT=zeros(m,12);
for i=1:12
  eval(['mean_LAT(:,i)=meanstd2(LAT',num2str(i),');']);
end
%
%
mean_alph=meanstd2(alph);
mean_temp=mean_eta./(h_mix*mean_alph(:,ones(1,12)));
%
save model_fluxes eta1 eta2 eta3 eta4 eta5 eta6 eta7 eta8 eta9...
    eta10 eta11 eta12 lat lon



