%
%
% Load the data for the flux fields from MUGCM
% for SENSIB heat.
% 
load levitusdata
latlev=lat;
lonlev=lon;
%
load latent
HEAT1=LAT1;
HEAT2=LAT2;
HEAT3=LAT3;
HEAT4=LAT4;
HEAT5=LAT5;
HEAT6=LAT6;
HEAT7=LAT7;
HEAT8=LAT8;
HEAT9=LAT9;
HEAT10=LAT10;
HEAT11=LAT11;
HEAT12=LAT12;
load SENSIB
HEAT1=HEAT1+LAT1;
HEAT2=HEAT2+LAT2;
HEAT3=HEAT3+LAT3;
HEAT4=HEAT4+LAT4;
HEAT5=HEAT5+LAT5;
HEAT6=HEAT6+LAT6;
HEAT7=HEAT7+LAT7;
HEAT8=HEAT8+LAT8;
HEAT9=HEAT9+LAT9;
HEAT10=HEAT10+LAT10;
HEAT11=HEAT11+LAT11;
HEAT12=HEAT12+LAT12;
load RADNET
HEAT1=HEAT1+LAT1;
HEAT2=HEAT2+LAT2;
HEAT3=HEAT3+LAT3;
HEAT4=HEAT4+LAT4;
HEAT5=HEAT5+LAT5;
HEAT6=HEAT6+LAT6;
HEAT7=HEAT7+LAT7;
HEAT8=HEAT8+LAT8;
HEAT9=HEAT9+LAT9;
HEAT10=HEAT10+LAT10;
HEAT11=HEAT11+LAT11;
HEAT12=HEAT12+LAT12;

lon=long'
lat=lat'% so ssh_harmonics runs ok!
%
%
% Now find the point in the levitus data closest to the
% fluxdata
%
mm=54
nn=65
for i=1:mm
  [Y,indexlat(i)]=min(abs(lat(i)*ones(180,1)-latlev));
end
for j=1:nn
  [Y,indexlon(j)]=min(abs(lon(j)*ones(360,1)-lonlev));
end
%
% Now calculate the distribution of alpha
temp=temp(indexlon,indexlat)';
salt=salt(indexlon,indexlat)';
[m,n]=size(temp)
pressure=100*ones(m,n);
the=theta(pressure,temp,salt,0);
alph=alpha(salt,the,pressure);
%keyboard
%
mask=zeros(mm,nn);
ii=find(isnan(temp));
mask(ii)=NaN*ones(length(ii),1);
%
av_flux=(HEAT1+HEAT2+...
    HEAT3+HEAT4+...
    HEAT5+HEAT6+...
    HEAT7+HEAT8+...
    HEAT9+HEAT10+...
    HEAT11+HEAT12)/12 + mask;
%
%
HEAT1=HEAT1-mask-av_flux;
HEAT2=HEAT2-mask-av_flux;
HEAT3=HEAT3-mask-av_flux;
HEAT4=HEAT4-mask-av_flux;
HEAT5=HEAT5-mask-av_flux;
HEAT6=HEAT6-mask-av_flux;
HEAT7=HEAT7-mask-av_flux;
HEAT8=HEAT8-mask-av_flux;
HEAT9=HEAT9-mask-av_flux;
HEAT10=HEAT10-mask-av_flux;
HEAT11=HEAT11-mask-av_flux;
HEAT12=HEAT12-mask-av_flux;
%
%alpha=1.5e-4
Cp=3980
rho=1024
h_mix=100
factor=h_mix*alph/(Cp*rho*h_mix);
%
%
% Integrate, assuming that the sea-surface height field is
% initially zero at last day of proceeding year
%
delt=365.25*24*60*60/12		% time interval for integration
eta1= factor.*HEAT1*delt;
eta2= eta1+ factor.*HEAT2*delt;
eta3= eta2+ factor.*HEAT3*delt;
eta4= eta3+ factor.*HEAT4*delt;
eta5= eta4+ factor.*HEAT5*delt;
eta6= eta5+ factor.*HEAT6*delt;
eta7= eta6+ factor.*HEAT7*delt;
eta8= eta7+ factor.*HEAT8*delt;
eta9= eta8+ factor.*HEAT9*delt;
eta10= eta9+ factor.*HEAT10*delt;
eta11= eta10+ factor.*HEAT11*delt;
eta12= eta11+ factor.*HEAT12*delt;
%
%
av_eta= (eta1+eta2+eta3+eta4+eta5+eta6+eta7+eta8+eta9+eta10+...
		eta11+eta12)/12;
av_eta=av_eta + mask;
%
% now set the sea-surface height field with respect to the average
%eta1=eta1-av_eta;
%eta2=eta2-av_eta;
%eta3=eta3-av_eta;
%eta4=eta4-av_eta;
%eta5=eta5-av_eta;
%eta6=eta6-av_eta;
%eta7=eta7-av_eta;
%eta8=eta8-av_eta;
%eta9=eta9-av_eta;
%eta10=eta10-av_eta;
%eta11=eta11-av_eta;
%eta12=eta12-av_eta;
%
%
[m,n]=size(eta1);
mean_eta=zeros(m,12);
for i=1:12
  string=['eta',num2str(i)]
  eval(['mean_eta(:,i)=meanstd2(eta',num2str(i),');']);
end
%
%
mean_HEAT=zeros(m,12);
for i=1:12
  eval(['mean_HEAT(:,i)=meanstd2(HEAT',num2str(i),');']);
end
%
%
mean_alph=meanstd2(alph);
mean_temp=mean_eta./(h_mix*mean_alph(:,ones(1,12)));
%
save NETFLUX eta1 eta2 eta3 eta4 eta5 eta6 eta7 eta8 eta9...
    eta10 eta11 eta12 lat lon



