%
%
% Load the data for the freshwater flux fields.
% In this case it is the GASP data from Phil Reid
%
load levitusdata
latlev=lat;
lonlev=lon;
%
load pressure.mat
lon=long'
lat=lat'% so ssh_harmonics runs ok!
%
%
% Now find the point in the levitus data closest to the
% fluxdata
%
mm=80
nn=97
for i=1:mm
  [Y,indexlat(i)]=min(abs(lat(i)*ones(180,1)-latlev));
end
for j=1:nn
  [Y,indexlon(j)]=min(abs(lon(j)*ones(360,1)-lonlev));
end
%
temp=temp(indexlon,indexlat)';
salt=salt(indexlon,indexlat)';
%
mask=zeros(mm,nn);
ii=find(isnan(temp));
mask(ii)=NaN*ones(length(ii),1);
%
% The inverse barometer is applied only to the ocean
% as correction IB=P(x,y,t)-P
% 
%
%one=ones(mm,nn);
%ii=find(finite(mask));
%sp1=sp1-mean(sp1(ii))*one+mask;
%sp2=sp2-mean(sp2(ii))*one+mask;
%sp3=sp3-mean(sp3(ii))*one+mask;
%sp4=sp4-mean(sp4(ii))*one+mask;
%sp5=sp5-mean(sp5(ii))*one+mask;
%sp6=sp6-mean(sp6(ii))*one+mask;
%sp7=sp7-mean(sp7(ii))*one+mask;
%sp8=sp8-mean(sp8(ii))*one+mask;
%sp9=sp9-mean(sp9(ii))*one+mask;
%sp10=sp10-mean(sp10(ii))*one+mask;
%sp11=sp11-mean(sp11(ii))*one+mask;
%sp12=sp12-mean(sp12(ii))*one+mask;
%
one=ones(mm,nn);
ii=find(finite(mask) & lat(:,ones(1,nn))<60 & lat(:,ones(1,nn))>-60);
mask=NaN*ones(mm,nn);
mask(ii)=zeros(1,length(ii));
av1=mean(sp1(ii));
av2=mean(sp2(ii));
av3=mean(sp3(ii));
av4=mean(sp4(ii));
av5=mean(sp5(ii));
av6=mean(sp6(ii));
av7=mean(sp7(ii));
av8=mean(sp8(ii));
av9=mean(sp9(ii));
av10=mean(sp10(ii));
av11=mean(sp11(ii));
av12=mean(sp12(ii));

av=(av1+av2+av3+av4+av5+av6+av7+av8+av9+av10+av11+av12)/12
av=av+(0.0209-0.0160)*100
pause
%
%
%
factor=0.01
eta1= factor.*sp1-factor*av*one+mask;
eta2= factor.*sp2-factor*av*one+mask;
eta3= factor.*sp3-factor*av*one+mask;
eta4= factor.*sp4-factor*av*one+mask;
eta5= factor.*sp5-factor*av*one+mask;
eta6= factor.*sp6-factor*av*one+mask;
eta7= factor.*sp7-factor*av*one+mask;
eta8= factor.*sp8-factor*av*one+mask;
eta9= factor.*sp9-factor*av*one+mask;
eta10= factor.*sp10-factor*av*one+mask;
eta11= factor.*sp11-factor*av*one+mask;
eta12= factor.*sp12-factor*av*one+mask;
%
aveta1=mean(eta1(ii));
aveta2=mean(eta2(ii));
aveta3=mean(eta3(ii));
aveta4=mean(eta4(ii));
aveta5=mean(eta5(ii));
aveta6=mean(eta6(ii));
aveta7=mean(eta7(ii));
aveta8=mean(eta8(ii));
exit
aveta9=mean(eta9(ii));
aveta10=mean(eta10(ii));
aveta11=mean(eta11(ii));
aveta12=mean(eta12(ii));

aveta=(aveta1+aveta2+aveta3+aveta4+aveta5+aveta6+aveta7+aveta8+aveta9+aveta10+aveta11+aveta12)/12
%
% Applying the edge filter to the data
%
%for i=1:12
%  string=['eta',num2str(i)]
%  eval(['ii=find(abs(eta',num2str(i),')>0.15 & finite(eta',num2str(i),'));'])
%  eval(['eta',num2str(i),'(ii)=NaN*ones(1,length(ii));'])
%end
mask=eta1+eta2+eta3+eta4+eta5+eta6+eta7+eta8+eta9+eta10+eta11+eta12;
ii=find(finite(mask));
       mask(ii)=zeros(1,length(ii));
eta1=eta1-mask;
eta2=eta2-mask;
eta3=eta3-mask;
eta4=eta4-mask;
eta5=eta5-mask;
eta6=eta6-mask;
eta7=eta7-mask;
eta8=eta8-mask;
eta9=eta9-mask;
eta10=eta10-mask;
eta11=eta11-mask;
eta12=eta12-mask;

%
%
%
%av_eta= (eta1+eta3+eta4+eta5+eta6+eta7+eta8+eta9+eta10+...
%		eta11+eta12)/12;
%
% now set the sea-surface height field with respect to the average
%eta1=eta1-av_eta;
%eta2=eta2-av_eta;
%eta3=eta3-av_eta;
%eta4=eta4-av_eta;
%eta5=eta5-av_eta;
%eta6=eta6-av_eta;
%eta7=eta7-av_eta;
%eta8=eta8-av_eta;
%eta9=eta9-av_eta;
%eta10=eta10-av_eta;
%eta11=eta11-av_eta;
%eta12=eta12-av_eta;
%
%
[m,n]=size(eta1);
mean_eta=zeros(m,12);
for i=1:12
  string=['eta',num2str(i)]
  eval(['mean_eta(:,i)=meanstd2(eta',num2str(i),');']);
end
%
%
mean_sp=zeros(m,12);
for i=1:12
  eval(['mean_sp(:,i)=meanstd2(sp',num2str(i),');']);
end
%
%
%
save model_pressure_fluxes eta1 eta2 eta3 eta4 eta5 eta6 eta7...
    eta8 eta9 eta10 eta11 eta12 lat lon




