%
%
ncyc=132
h0=figure('papertype','a4letter')
h3=subplot(1,1,1)
hold off;

%
%
%load TPSHCOEF
%load nathan_124.mat
load nathan_zonalsmooth.mat
tsh=sh
load nathan_132smooth.mat
plot(1:ncyc,[tsh(1:9,:)+0.1*[1:9]'*ones(1,ncyc)],'w-');hold on
plot(1:ncyc,[sh(1:16,:)+.1*[1:16]'*ones(1,ncyc)],'w--');
%
plot(1:ncyc,0.1*[1:16]'*ones(1,ncyc),'w--')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
title('Harmonic coefficients sea surface height')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
%
axis([1,ncyc+1,0,0.1*16+.02])

labels=['C00';'C10';'C20';'C30';'C40';'C50';'C60';'C70';'C80';'C11';'S11';'C21';'S21';'C22';'S22';'C31'];

set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
h4=text((ncyc+1.2)*ones(16,1),0.1*[1:16]',labels)
set(h4,'Fontsize',16,'Fontname','Helvetica')
xlabel('Cycle No.')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
ylabel('Coefficient [m]')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
orient tall
print -dpsc figure1.ps
%
pause
%
%
% Figure with dates on bottom axis
%
%*******************************************************
date=([1:ncyc]*10-94)/365.25+1993;date=date';
%nconstraints=9
hold off
h0=figure('papertype','a4letter')
h3=subplot(1,1,1)
plot(date,[tsh(1:16,:)+.1*[1:16]'*ones(1,ncyc)],'w-');
hold on
%
%load TPSHCOEF
%load nathan_124.mat
%load nathan_132.mat
%sh=gs;
%
plot(date,[sh(1:16,:)+.1*[1:16]'*ones(1,ncyc)],'w--');
%
axis([1992.78,1995.73,0,.1*16+.02]);
vax=gca;
blanks=(['      ';'      ';'      ';'      ';'      ']);
set(vax,'XTick',[1992.5:1/12:1996])
set(vax,'XTickMode','manual')
set(vax,'Box','on')
set(vax,'XTickLabelMode','manual')
set(vax,'FontSize',10)
set(vax,'XTickLabels',...
['1992.5';blanks;'1993.0';blanks;'1993.5';blanks;'1994.0';blanks;...
'1994.5';blanks;'1995.0';blanks;'1995.5';blanks;'1996.0'])
hold on
plot(date,.1*[1:16]'*ones(1,ncyc),'w--')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
title('Sph. har. coefficents obtained from within-cycle GCE')
labels=['C00';'C10';'C20';'C30';'C40';'C50';'C60';'C70';'C80';'C11';'S11';'C21';'S21';'C22';'S22';'C31'];
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
h4=text((1995.78)*ones(16,1),.1*[1:16]',labels)
set(h4,'Fontsize',16,'Fontname','Helvetica')
xlabel('Year')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
ylabel('Coefficient [m]')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
orient tall
print -dpsc figure2.ps
%
%******************************************************
%
h0=figure('papertype','a4letter')
linewidth=3
h3=subplot(1,1,1)
plot(1:ncyc,R2,'w-')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
title('R^2 SSH')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
xlabel('Cycle No.')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
ylabel('Variance Explained')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
orient portrait
print -dpsc figure3.ps

%
%
%
TOP=(nansum((sqrt(sh(1:nconstraints,:).*tsh(1:nconstraints,:)).*sqrt(sh(1:nconstraints,:).*tsh(1:nconstraints,:)))'));
BOT=(nansum((sqrt(sh(1:nconstraints,:).*sh(1:nconstraints,:)).*sqrt(tsh(1:nconstraints,:).*tsh(1:nconstraints,:)))'));
R2SH=TOP./BOT
h0=figure('papertype','a4letter')
linewidth=3
h3=subplot(1,1,1)
plot(1:nconstraints,R2SH,'w-')
axis([0 nconstraints -1 1])
grid
%set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
%title('R^2 Model and Data')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
xlabel('Harmonic')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
ylabel('Correlation')
set(h3,'Fontsize',14,'Fontname','Helvetica','LineWidth',2.0)
labels=['C00';'C10';'C20';'C30';'C40';'C50';'C60';'C70';'C80';'C11';'S11';'C21';'S21';'C22';'S22';'C31'];
h4=text(1*[1:16]',1.1*ones(16,1),labels)
set(h4,'Fontsize',14,'Fontname','Helvetica')
orient portrait
print -dpsc figure4.ps





