%
%  Trying to produce plots of low-level spherical harmonic
%  representation of seasonal variation of sea-surface
%  height field based on the model of sea-surface mixing.
%
%  Note: I have assumed that model_flues2.m has been run
%        prior to this routine
%  Author: N.L. Bindoff  (based on Herman Van Hysen sst.m
%                         routine)
%
%load results
%load temp2
%
%global lats
%
%
% Latitude and longitude information have to be arranged into a
% column matrix.
%
[M,N]=size(eta1)
tlat=lat(:,ones(1,N));
tlon=lon(:,ones(M,1))';
tlat=reshape(tlat,M*N,1);
tlon=reshape(tlon,M*N,1);
%tlat=kron([60 30 0 -30 -60]',ones(12,1));
%tlon=kron(ones(5,1),30*[0:11]');
%
% for spherical harmonic analysis eliminate the most extreme northern
% and southern latitudes because T/P data donot exist there.
%
indexnorth=find(lat>=61)
indexsouth=find(lat<=-61)
regionnorth=NaN*ones(length(indexnorth),N);
regionsouth=NaN*ones(length(indexsouth),N);
case=input('Months or 10 Days, (12, 36)')
for i=1:case
  i
  eval(['eta',num2str(i),'(indexnorth,:)=regionnorth;'])
  eval(['eta',num2str(i),'(indexsouth,:)=regionsouth;'])
end
%
% The data are arranged, so that lat-lon space corresponds to 
% row and columns correspond time.
%
tdat=zeros(M*N,case);
for k=1:case
  string=['tdat(:,',num2str(k),')=reshape(eta',num2str(k),',M*N,1);']
  eval(string)
end 

%tdat=zeros(M*N,12);
%tdat(:,1)=reshape(eta1,M*N,1);      % January
%tdat(:,2)=reshape(eta2,M*N,1);      % February
%tdat(:,3)=reshape(eta3,M*N,1);      % March
%tdat(:,4)=reshape(eta4,M*N,1);
%tdat(:,5)=reshape(eta5,M*N,1);
%tdat(:,6)=reshape(eta6,M*N,1);
%tdat(:,7)=reshape(eta7,M*N,1);
%tdat(:,8)=reshape(eta8,M*N,1);
%tdat(:,9)=reshape(eta9,M*N,1);
%tdat(:,10)=reshape(eta10,M*N,1);
%tdat(:,11)=reshape(eta11,M*N,1);
%tdat(:,12)=reshape(eta12,M*N,1);
%
%tdat=-tdat
%
%  convert lat's, and lon's to radians
%

tlat=tlat*pi/180;
tlon=tlon*pi/180;
nn=length(tlat);
%
% for checking one can use the test data below
% tdat=0.025*[sin(tlat(:,ones(1,12)))];
% There should be (degree+1)^2 coeffs - ie. for degree 3, 16 coeffs.
%
nconstraints=51
if nconstraints==51,
%
%
% to degree 8 zonal harmonics
g1_zonal=[ones(nn,1) sin(tlat) 1/2*(3*sin(tlat).^2-1) 5/2*sin(tlat).^3-3/2*sin(tlat)];
g1_zonal=[g1_zonal 1/8*(35*sin(tlat).^4-30*sin(tlat).^2+3) 63/8*sin(tlat).^5-35/4*sin(tlat).^3+15/8*sin(tlat)];
g1_zonal=[g1_zonal 231/16*sin(tlat).^6-315/16*sin(tlat).^4+105/16*sin(tlat).^2-5/16];
g1_zonal=[g1_zonal 429/16*sin(tlat).^7-693/16*sin(tlat).^5+315/16*sin(tlat).^3-35/16*sin(tlat)];
g1_zonal=[g1_zonal 6435/128*sin(tlat).^8-12012/128*sin(tlat).^6+6930/128*sin(tlat).^4-1260/128*sin(tlat).^2+35/128];

% degree 1 tesseral/sectorial
g1_one=[cos(tlat).*cos(tlon) cos(tlat).*sin(tlon)];

% degree 2 tesseral/sectorial
g1_two=[3*sin(tlat).*cos(tlat).*cos(tlon) 3*sin(tlat).*cos(tlat).*sin(tlon)];
g1_two=[g1_two 3*cos(tlat).^2.*cos(2*tlon)  3*cos(tlat).^2.*sin(2*tlon)];

% degree 3 tesseral/sectorial
g1_three=[cos(tlat).*(15/2*sin(tlat).^2-3/2).*cos(tlon) cos(tlat).*(15/2*sin(tlat).^2-3/2).*sin(tlon)];
g1_three=[g1_three 15*cos(tlat).^2.*sin(tlat).*cos(2*tlon) 15*cos(tlat).^2.*sin(tlat).*sin(2*tlon)];
g1_three=[g1_three 15*cos(tlat).^3.*cos(3*tlon) 15*cos(tlat).^3.*sin(3*tlon)]; 

% degree 4 tesseral/sectorial
g1_four=[5/2*cos(tlat).*(7*sin(tlat).^3-3*sin(tlat)).*cos(tlon) 5/2*cos(tlat).*(7*sin(tlat).^3-3*sin(tlat)).*sin(tlon)];
g1_four=[g1_four 15/2*cos(tlat).^2.*(7*sin(tlat).^2-1).*cos(2*tlon) 15/2*cos(tlat).^2.*(7*sin(tlat).^2-1).*sin(2*tlon)];
g1_four=[g1_four 105*sin(tlat).*cos(tlat).^3.*cos(3*tlon) 105*sin(tlat).*cos(tlat).^3.*sin(3*tlon)];
g1_four=[g1_four 105*cos(tlat).^4.*cos(4*tlon) 105*cos(tlat).^4.*sin(4*tlon)]; 

% degree 5 tesseral/sectorial
g1_five=[cos(tlat).*(315/8*sin(tlat).^4-105/4*sin(tlat).^2+15/8).*cos(tlon)];
g1_five=[ g1_five cos(tlat).*(315/8*sin(tlat).^4-105/4*sin(tlat).^2+15/8).*sin(tlon)];
g1_five=[g1_five cos(tlat).^2.*(315/2*sin(tlat).^3-105/2*sin(tlat)).*cos(2*tlon)];
g1_five=[g1_five cos(tlat).^2.*(315/2*sin(tlat).^3-105/2*sin(tlat)).*sin(2*tlon)];
g1_five=[g1_five 105/2*cos(tlat).^3.*(9*sin(tlat).^2-1).*cos(3*tlon)];
g1_five=[g1_five 105/2*cos(tlat).^3.*(9*sin(tlat).^2-1).*sin(3*tlon)];
g1_five=[g1_five 945*sin(tlat).*cos(tlat).^4.*cos(4*tlon) 945*sin(tlat).*cos(tlat).^4.*sin(4*tlon)];
g1_five=[g1_five 945*cos(tlat).^5.*cos(5*tlon) 945*cos(tlat).^5.*sin(5*tlon)];

% degree 6 tesseral/sectorial
g1_six=[cos(tlat).^6.*(693/8*sin(tlat).^5-315/4*sin(tlat).^3+105/8*sin(tlat)).*cos(tlon)];
g1_six=[g1_six cos(tlat).^6.*(693/8*sin(tlat).^5-315/4*sin(tlat).^3+105/8*sin(tlat)).*sin(tlon)];
g1_six=[g1_six cos(tlat).^2.*(3465/8*sin(tlat).^4-945/4*sin(tlat).^2+105/8).*cos(2*tlon)];
g1_six=[g1_six cos(tlat).^2.*(3465/8*sin(tlat).^4-945/4*sin(tlat).^2+105/8).*sin(2*tlon)];
g1_six=[g1_six cos(tlat).^3.*(3465/2*sin(tlat).^3-945/2*sin(tlat)).*cos(3*tlon)];
g1_six=[g1_six cos(tlat).^3.*(3465/2*sin(tlat).^3-945/2*sin(tlat)).*sin(3*tlon)];
g1_six=[g1_six cos(tlat).^4.*(10395/2*sin(tlat).^2-945/2).*cos(4*tlon)];
g1_six=[g1_six cos(tlat).^4.*(10395/2*sin(tlat).^2-945/2).*sin(4*tlon)];
g1_six=[g1_six cos(tlat).^5.*(10395*sin(tlat)).*cos(5*tlon) cos(tlat).^5.*(10395*sin(tlat)).*sin(5*tlon)];
g1_six=[g1_six 10395*cos(tlat).^6.*cos(6*tlon) 10395*cos(tlat).^6.*sin(6*tlon)];
%
%
%
tg1=[g1_zonal(:,1:9) g1_one g1_two g1_three g1_four g1_five g1_six];
end
%
%
%
% Interpolate t to cycles, over the 50 cycles
%ncyc=73
%ncyc=108
ncyc=132
tlat=tlat(~isnan(tdat(:,1)));
tlon=tlon(~isnan(tdat(:,1)));
tg1(isnan(tdat(:,1)),:)=[];
tdat(isnan(tdat(:,1)),:)=[];
%tdat=[tdat tdat tdat];
tdat=[tdat];

[MM,NN]=size(tdat);
%NN=NN/3
NN=NN
col=NaN*zeros(ncyc,1);
frac=NaN*zeros(ncyc,1);
day=NaN*zeros(ncyc,1);
t=zeros(MM,ncyc);
lead=input('Phase lead in days (lead positive, lag negative) ')
for i=1:ncyc
  i
  day(i)=(i-1)*10+266+lead;           % start day 266
  day(i)
  col(i)=rem(day(i),365);
  col(i)=fix((col(i)/365)*NN)+1;
%  col(i)=fix((day(i)/365)*NN)+1;
  col(i)
  frac(i)=rem(day(i),365/NN)/(365/NN);
  frac(i)
  if col(i)< case,
     t(:,i)=tdat(:,col(i))+frac(i)*(tdat(:,col(i)+1)-tdat(:,col(i)));
  else
     t(:,i)=tdat(:,col(i))+frac(i)*(tdat(:,1)-tdat(:,col(i)));
  end
end

%
% Now invert the matrix to get the harmonics
%

tsh=inv(tg1'*tg1)*tg1'*t;
%
% Calculate the residual for each cycle
%

R2=zeros(1,ncyc);
for j=1:ncyc
  R2(j)=(tg1*tsh(:,j))'*(tg1*tsh(:,j))/(t(:,j)'*t(:,j));
end
%
%
% calculate the residual between the model and the data for each cycle
%
load nathan_132smooth.mat
%sh=gs;
%
R2=zeros(1,ncyc);
for j=1:ncyc
  R2data(j)=(tsh(:,j))'*(sh(:,j))/(sh(:,j)'*sh(:,j));
end
h0=figure('papertype','a4letter')
linewidth=3
h3=subplot(1,1,1)
plot(1:ncyc,R2data,'w-')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
title('R^2 SSH')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
xlabel('Cycle No.')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
ylabel('Variance Explained')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
orient portrait
print -dpsc figure5.ps
%
%
h0=figure('papertype','a4letter')
h3=subplot(1,1,1)
hold off;
plot(1:ncyc,[tsh(1:16,:)+0.1*[1:16]'*ones(1,ncyc)],'w-');hold on
%
%
%load TPSHCOEF
%load nathan_124.mat
load nathan_132smooth.mat
%sh=gs;
%
plot(1:ncyc,[sh(1:16,:)+.1*[1:16]'*ones(1,ncyc)],'w--');
%
plot(1:ncyc,0.1*[1:nconstraints]'*ones(1,ncyc),'w--')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
title('Harmonic coefficients sea surface height')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
%
axis([1,ncyc+1,0,0.1*16+.02])

labels=['C00';'C10';'C20';'C30';'C40';'C50';'C60';'C70';'C80';'C11';'S11';'C21';'S21';'C22';'S22';'C31'];

set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
h4=text((ncyc+1.2)*ones(16,1),0.1*[1:16]',labels)
set(h4,'Fontsize',16,'Fontname','Helvetica')
xlabel('Cycle No.')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
ylabel('Coefficient [m]')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
orient tall
print -dpsc figure1.ps
%
pause
%
%
% Figure with dates on bottom axis
%
%*******************************************************
date=([1:ncyc]*10-94)/365.25+1993;date=date';
%nconstraints=9
hold off
h0=figure('papertype','a4letter')
h3=subplot(1,1,1)
plot(date,[tsh(1:16,:)+.1*[1:16]'*ones(1,ncyc)],'w-');
hold on
%
%load TPSHCOEF
%load nathan_124.mat
%load nathan_132.mat
%sh=gs;
%
plot(date,[sh(1:16,:)+.1*[1:16]'*ones(1,ncyc)],'w--');
%
axis([1992.78,1995.73,0,.1*16+.02]);
vax=gca;
blanks=(['      ';'      ';'      ';'      ';'      ']);
set(vax,'XTick',[1992.5:1/12:1996])
set(vax,'XTickMode','manual')
set(vax,'Box','on')
set(vax,'XTickLabelMode','manual')
set(vax,'FontSize',10)
set(vax,'XTickLabels',...
['1992.5';blanks;'1993.0';blanks;'1993.5';blanks;'1994.0';blanks;...
'1994.5';blanks;'1995.0';blanks;'1995.5';blanks;'1996.0'])
hold on
plot(date,.1*[1:16]'*ones(1,ncyc),'w--')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
title('Sph. har. coefficents obtained from within-cycle GCE')
labels=['C00';'C10';'C20';'C30';'C40';'C50';'C60';'C70';'C80';'C11';'S11';'C21';'S21';'C22';'S22';'C31'];
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
h4=text((1995.78)*ones(16,1),.1*[1:16]',labels)
set(h4,'Fontsize',16,'Fontname','Helvetica')
xlabel('Year')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
ylabel('Coefficient [m]')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
orient tall
print -dpsc figure2.ps
%
%******************************************************
%
h0=figure('papertype','a4letter')
linewidth=3
h3=subplot(1,1,1)
plot(1:ncyc,R2,'w-')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
title('R^2 SSH')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
xlabel('Cycle No.')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
ylabel('Variance Explained')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
orient portrait
print -dpsc figure3.ps
%
%
%
TOP=(nansum((sqrt(sh(1:nconstraints,:).*tsh(1:nconstraints,:)).*sqrt(sh(1:nconstraints,:).*tsh(1:nconstraints,:)))'));
BOT=(nansum((sqrt(sh(1:nconstraints,:).*sh(1:nconstraints,:)).*sqrt(tsh(1:nconstraints,:).*tsh(1:nconstraints,:)))'));
R2SH=TOP./BOT
h0=figure('papertype','a4letter')
linewidth=3
h3=subplot(1,1,1)
plot(1:nconstraints,R2SH,'w-')
axis([0 nconstraints -1 1])
grid
%set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
%title('R^2 Model and Data')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
xlabel('Harmonic')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
ylabel('Correlation')
set(h3,'Fontsize',14,'Fontname','Helvetica','LineWidth',2.0)
labels=['C00';'C10';'C20';'C30';'C40';'C50';'C60';'C70';'C80';'C11';'S11';'C21';'S21';'C22';'S22';'C31'];
h4=text(1*[1:16]',1.1*ones(16,1),labels)
set(h4,'Fontsize',14,'Fontname','Helvetica')
orient portrait
print -dpsc figure4.ps





