%
%  Trying to produce plots of low-level spherical harmonic
%  representation of seasonal variation of surface sea temperature
%  (Data source 'Global Ocean Surface Temperature Atlas', 1990)
%

%load results
%load temp2

global lats


tlat=kron([60 30 0 -30 -60]',ones(12,1));
tlon=kron(ones(5,1),30*[0:11]');

clear tdat t

tdat(:,1)=[71 NaN NaN NaN NaN NaN  13 NaN NaN NaN   1  72 ...
       NaN 174 NaN NaN 106 184 172 180 150 164 202 196 ...
       281 NaN 275 283 283 290 280 262 253 265 NaN 272 ...
       220 250 250 226 NaN 250 240 240 244 210 NaN 246 ...
         2  12  16  22  34  46  58  51  42  47  47  46]';

tdat(:,2)=[66 NaN NaN NaN NaN NaN  -9 NaN NaN NaN   2  70 ...
       NaN 157 NaN NaN  96 170 165 173 151 183 191 184 ...
       290 NaN 288 287 282 289 274 269 268 276 NaN 275 ...
       224 263 251 225 NaN 258 247 245 249 215 NaN 257 ...
        23  34  29  28  34  41  47  46  47  60  35  22]';

tdat(:,3)=[81 NaN NaN NaN NaN NaN   2 NaN NaN NaN  -2  75 ...
       NaN 204 NaN NaN 160 196 189 189 159 237 210 199 ...
       287 NaN 295 293 291 292 284 273 264 266 NaN 278 ...
       206 241 226 209 NaN 230 224 228 229 196 NaN 229 ...
         5   5   8  13  18  35  39  34  28  48  24   9]';

tdat(:,4)=[122 NaN NaN NaN NaN NaN  65 NaN NaN NaN  47 101 ...
        NaN 248 NaN NaN 247 251 242 224 182 289 262 232 ...
        261 NaN 283 289 283 291 283 270 251 257 NaN 267 ...
        193 221 206 188 NaN 211 202 204 208 184 NaN 204 ...
          5  -5   3   4   9  23  27  24  24  26  17   7]';

tdat(:,5)=[119 NaN NaN NaN NaN NaN  62 NaN NaN NaN  52  99 ...
        NaN 264 NaN NaN 249 268 253 239 196 283 267 245 ...
        257 NaN 284 285 285 291 283 269 247 256 NaN 267 ...
        176 222 200 182 NaN 205 197 197 201 175 NaN 199 ...
          5  -3   5   5  12  23  30  26  28  36   5   5]';

tdat(:,6)=[89 NaN NaN NaN NaN NaN  12 NaN NaN NaN  19  78 ...
       NaN 224 NaN NaN 176 227 210 210 177 220 234 219 ...
       276 NaN 282 279 289 292 279 265 248 255 NaN 272 ...
       189 238 220 199 NaN 229 215 213 217 179 NaN 213 ...
         5  -2   6   4  13  28  32  29  29  41  32   0]';

keyboard

tlat=tlat*pi/180;tlon=tlon*pi/180;
nn=length(tlat);

tg1=[ones(nn,1) sin(tlat) 1/2*(3*sin(tlat).^2-1) cos(tlat).*cos(tlon) cos(tlat).*sin(tlon)];
tg1=[tg1 3*sin(tlat).*cos(tlat).*cos(tlon) 3*sin(tlat).*cos(tlat).*sin(tlon)];
tg1=[tg1 3*cos(tlat).^2.*cos(2*tlon)  3*cos(tlat).^2.*sin(2*tlon)];
 
% Interpolate t to cycles

tlat=tlat(~isnan(tdat(:,1)));
tlon=tlon(~isnan(tdat(:,1)));
tg1(isnan(tdat(:,1)),:)=[];
tdat(isnan(tdat(:,1)),:)=[];
tdat=[tdat tdat tdat]/10;


for i=1:50
day=(i-1)*10+288;
col=fix(day/365*6)+1;
frac=rem(day,365/6)/(365/6);
t(:,i)=tdat(:,col)+frac*(tdat(:,col+1)-tdat(:,col));
end

tsh=inv(tg1'*tg1)*tg1'*t;

ncyc=50;

hold off;
plot(1:ncyc,[tsh+10*[1:9]'*ones(1,ncyc)],'w-');hold on
plot(1:ncyc,10*[1:9]'*ones(1,ncyc),'w--')
title('Spherical harmonic coefficients of sea surface temperature')
axis([1,ncyc+1,0,10*9+5])
labels=['C00';'C10';'C20';'C11';'S11';'C21';'S21';'C22';'S22']; 
text((ncyc+1.2)*ones(9,1),10*[1:9]',labels)
xlabel('Cycle No.')
ylabel('Coefficient [m]')
orient tall


% Factor needed in removing mean radiation

k=sin(23.5*pi/180);
elliptic=1-((1/2)^2)*k^2-((3/2/4)^2)*(k^4)/3-((3*5/2/4/6)^2)*(k^6)/5;
t=g1*tsh;

dh=zeros(np,50);
for j=1:np
j
if(j~=1)
  if((j~=2)&(abs(lat(j-1)-lat(j))<.0001))
     dh(j,:)=dh(j-1,:);
  else
     lats=lat(j);
     dh(j,i)=0;
     for i=2:50
       a=10*(i-1)*2*pi/365;
       b=10*i*2*pi/365;
       %alpha=.6143e-4+(.0949e-4)*t(j,i);
       dh(j,i)=quad('fn',a,b,.01)-(b-a)*elliptic*cos(lats);
     end
     %dh(j,:)=344*365/2/pi*24*60*60*100/3998/1025/100*dh(j,:);
     

  end
end
end

dh=(344*365/2/pi*24*60*60*100/3998/1025/100)*dh.*(.6143e-4+(.0949e-4)*t);

dh=(cumsum(dh'))';
     
dh=dh-mean(dh')'*ones(1,50);

sh=inv(g1'*g1)*g1'*dh;


clg
plot(1:ncyc,[sh+.05*[1:9]'*ones(1,ncyc)],'w-');hold on
plot(1:ncyc,.05*[1:9]'*ones(1,ncyc),'w--')
title('Spherical harmonic coefficients of seasonal variation in mixed layer')
axis([1,ncyc+1,0,.05*9+.02])
labels=['C00';'C10';'C20';'C11';'S11';'C21';'S21';'C22';'S22']; 
text((ncyc+1.2)*ones(9,1),.05*[1:9]',labels)
xlabel('Cycle No.')
ylabel('Coefficient [m]')
orient tall




-------------------------------------------------------------------------------

       __     |\          Richard Coleman
      /   \   / \         Dept of Surveying & Spatial Information Science
     /    |__/   \        Email: ric@surv.utas.edu.au 
    /             \       Phone: Australia (002) 202108  Intern. 61-02-202108
   |               |      Fax:   Australia (002) 240282  Intern. 61-02-240282
    \    ___/\    /       Post:  Dept of Surveying & SIS
     \__/     \__/               University of Tasmania
              ____               GPO Box 252C
              \  /               Hobart, Tasmania.
               \*                Australia. 7001

-------------------------------------------------------------------------------

