%
%
% Load the data for the wind fields.
% In this case it is for the ecmwf wind data (SI units)
%
load winddata
ii=find(mask==1);
mask(ii)= NaN*ones(1,length(ii));
%
[m,n]=size(taux1);
curl1=curl_z(taux1,tauy1,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl2=curl_z(taux2,tauy2,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl3=curl_z(taux3,tauy3,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl4=curl_z(taux4,tauy4,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl5=curl_z(taux5,tauy5,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl6=curl_z(taux6,tauy6,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl7=curl_z(taux7,tauy7,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl8=curl_z(taux8,tauy8,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl9=curl_z(taux9,tauy9,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl10=curl_z(taux10,tauy10,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl11=curl_z(taux11,tauy11,lat(:,ones(1,n)),lon(:,ones(m,1))');
curl12=curl_z(taux12,tauy12,lat(:,ones(1,n)),lon(:,ones(m,1))');
mask=curl_z(mask,mask,lat(:,ones(1,n)),lon(:,ones(m,1))');
%
av_curl=(curl1+curl2+curl3+curl4+curl5+curl5+curl6+...
    curl7+curl8+curl9+curl10+curl12)/12;
av_curl= av_curl + mask; 
%
curl1=curl1-av_curl;
curl2=curl2-av_curl;
curl3=curl3-av_curl;
curl4=curl4-av_curl;
curl5=curl5-av_curl;
curl6=curl6-av_curl;
curl7=curl7-av_curl;
curl8=curl8-av_curl;
curl9=curl9-av_curl;
curl10=curl10-av_curl;
curl11=curl11-av_curl;
curl12=curl12-av_curl;
%
% curl1, curl2, curl3, ... are the wind stress curl field
% for january, february, march, ....
%
lat=lat(2:m-1)
lon=lon(2:n-1)
degrad=pi/180;
%
rho=1000
g=10
H=3000
c_1=g*H
omega=7.292e-5
f=(2*omega*sin(degrad*(lat(:,ones(1,n-2)))));
beta=(2*omega*cos(degrad*(lat(:,ones(1,n-2)))))/(6371*1000);
deg2m=2*111*1000*cos(degrad*(lat(:,ones(1,n-2))));
k=2*pi/(90*111*1000)
factor= -f.*deg2m./(rho*g*H*beta);
%
%
%  SPECIAL NOTE: the phase has to be determined yet!
eta1= factor.*curl1;
eta2= factor.*curl2;
eta3= factor.*curl3;
eta4= factor.*curl4;
eta5= factor.*curl5;
eta6= factor.*curl6;
eta7= factor.*curl7;
eta8= factor.*curl8;
eta9= factor.*curl9;
eta10=factor.*curl10;
eta11=factor.*curl11;
eta12=factor.*curl12;
%
%
av_eta= (eta1+eta2+eta3+eta4+eta5+eta6+eta7+eta8+eta9+eta10+...
		eta11+eta12)/12;
av_eta= av_eta + mask; 
%
% now set the sea-surface height field with respect to the average
eta1=eta1-av_eta;
eta2=eta2-av_eta;
eta3=eta3-av_eta;
eta4=eta4-av_eta;
eta5=eta5-av_eta;
eta6=eta6-av_eta;
eta7=eta7-av_eta;
eta8=eta8-av_eta;
eta9=eta9-av_eta;
eta10=eta10-av_eta;
eta11=eta11-av_eta;
eta12=eta12-av_eta;
%
%
% integrate across each basin
%
alpha=1.0e-8
for k=1:12
  k
  for i=1:88
    flag=length(find(isnan(eta1(i,:))));
    [i,lat(i),flag]
    if flag==0,
      eval(['[eta',num2str(k),'(i,:),A]=sverdrup_fric(eta',num2str(k),'(i,:)*beta(i,1)/deg2m(i,1),deg2m(i,1),alpha,beta(i,1));'])
    else
      eval(['eta',num2str(k),'(i,:)=integrate(eta',num2str(k),'(i,:));'])
    end
  end
end
%
%
mean_eta=zeros(m-2,12);
for i=1:12
  string=['eta',num2str(i)]
  eval(['mean_eta(:,i)=meanstd2(eta',num2str(i),');']);
end
%
%
mean_curl=zeros(m-2,12);
for i=1:12
  eval(['mean_curl(:,i)=meanstd2(curl',num2str(i),'+mask(2:89,2:179));']);
end
%
%
save sverdrup_model2  eta1 eta2 eta3 eta4 eta5 eta6 eta7 eta8 eta9...
    eta10 eta11 eta12 lat lon


