%
% This routine creates a wind data set for testing the routines
% sverdrup_model and ssh_harmonic, for correct phase 
% and correct amplitude.
%
% The test is uniform winds all westerlies, with a 
% period of one year.
%
load hellerman
[m,n]=size(aprx);
apry=zeros(m,n);
augy=zeros(m,n);
decy=zeros(m,n);
feby=zeros(m,n);
jany=zeros(m,n);
july=zeros(m,n);
juny=zeros(m,n);
mary=zeros(m,n);
mayy=zeros(m,n);
novy=zeros(m,n);
octy=zeros(m,n);
sepy=zeros(m,n);
%
% Now put in the effect of latitude
%
factor=cos(2*2*pi/360*lat)+1;
factor=factor(:,ones(1,n));
%
janx=cos(2*pi/12*(1-0.5))*ones(m,n).*factor;
febx=cos(2*pi/12*(2-0.5))*ones(m,n).*factor;
marx=cos(2*pi/12*(3-0.5))*ones(m,n).*factor;
aprx=cos(2*pi/12*(4-0.5))*ones(m,n).*factor;
mayx=cos(2*pi/12*(5-0.5))*ones(m,n).*factor;
junx=cos(2*pi/12*(6-0.5))*ones(m,n).*factor;
julx=cos(2*pi/12*(7-0.5))*ones(m,n).*factor;
augx=cos(2*pi/12*(8-0.5))*ones(m,n).*factor;
sepx=cos(2*pi/12*(9-0.5))*ones(m,n).*factor;
octx=cos(2*pi/12*(10-0.5))*ones(m,n).*factor;
novx=cos(2*pi/12*(11-0.5))*ones(m,n).*factor;
decx=cos(2*pi/12*(12-0.5))*ones(m,n).*factor;
%
% Now lest save the data
%
save testwinds
