%
%
%
load hellerman
%
eta1=jany;
eta2=feby;
eta3=mary;
eta4=apry;
eta5=mayy;
eta6=juny;
eta7=july;
eta8=augy;
eta9=sepy;
eta10=octy;
eta11=novy;
eta12=decy;
%
eta1=janx;
eta2=febx;
eta3=marx;
eta4=aprx;
eta5=mayx;
eta6=junx;
eta7=julx;
eta8=augx;
eta9=sepx;
eta10=octx;
eta11=novx;
eta12=decx;
%
av_eta= (eta1+eta2+eta3+eta4+eta5+eta6+eta7+eta8+eta9+eta10+...
		eta11+eta12)/12;
%
%
eta1=eta1-av_eta;
eta2=eta2-av_eta;
eta3=eta3-av_eta;
eta4=eta4-av_eta;
eta5=eta5-av_eta;
eta6=eta6-av_eta;
eta7=eta7-av_eta;
eta8=eta8-av_eta;
eta9=eta9-av_eta;
eta10=eta10-av_eta;
eta11=eta11-av_eta;
eta12=eta12-av_eta;
%
%
%ssh_harmonic
%
%  Trying to produce plots of low-level spherical harmonic
%  representation of seasonal variation of sea-surface
%  height field based on the model of sea-surface mixing.
%
%  Note: I have assumed that model_flues2.m has been run
%        prior to this routine
%  Author: N.L. Bindoff  (based on Herman Van Hysen sst.m
%                         routine)
%
%load results
%load temp2
%
%global lats
%
%
% Latitude and longitude information have to be arranged into a
% column matrix.
%
[M,N]=size(eta1)
tlat=lat(:,ones(1,N));
tlon=lon(:,ones(M,1))';
tlat=reshape(tlat,M*N,1);
tlon=reshape(tlon,M*N,1);
%tlat=kron([60 30 0 -30 -60]',ones(12,1));
%tlon=kron(ones(5,1),30*[0:11]');
%
% The data are arranged, so that lat-lon space corresponds to 
% row and columns correspond time.
%
tdat=zeros(M*N,12);
tdat(:,1)=reshape(eta1,M*N,1);      % January
tdat(:,2)=reshape(eta2,M*N,1);      % February
tdat(:,3)=reshape(eta3,M*N,1);      % March
tdat(:,4)=reshape(eta4,M*N,1);
tdat(:,5)=reshape(eta5,M*N,1);
tdat(:,6)=reshape(eta6,M*N,1);
tdat(:,7)=reshape(eta7,M*N,1);
tdat(:,8)=reshape(eta8,M*N,1);
tdat(:,9)=reshape(eta9,M*N,1);
tdat(:,10)=reshape(eta10,M*N,1);
tdat(:,11)=reshape(eta11,M*N,1);
tdat(:,12)=reshape(eta12,M*N,1);
%
%  convert lat's, and lon's to radians
%
tlat=tlat*pi/180;
tlon=tlon*pi/180;
nn=length(tlat);
%
% for checking one can use the test data below
% tdat=[sin(tlat(:,ones(1,12)))];
%
tg1=[ones(nn,1) sin(tlat) 1/2*(3*sin(tlat).^2-1) cos(tlat).*cos(tlon) cos(tlat).*sin(tlon)];
tg1=[tg1 3*sin(tlat).*cos(tlat).*cos(tlon) 3*sin(tlat).*cos(tlat).*sin(tlon)];
tg1=[tg1 3*cos(tlat).^2.*cos(2*tlon)  3*cos(tlat).^2.*sin(2*tlon)];
 
% Interpolate t to cycles, over the 50 cycles

tlat=tlat(~isnan(tdat(:,1)));
tlon=tlon(~isnan(tdat(:,1)));
tg1(isnan(tdat(:,1)),:)=[];
tdat(isnan(tdat(:,1)),:)=[];
tdat=[tdat tdat tdat];

[MM,NN]=size(tdat);
NN=NN/3
col=NaN*zeros(50,1);
frac=NaN*zeros(50,1);
day=NaN*zeros(50,1);

for i=1:50
  day(i)=(i-1)*10+266;           % start day 266
  col(i)=fix((day(i)/365)*NN)+1;
  frac(i)=rem(day(i),365/NN)/(365/NN);
  t(:,i)=tdat(:,col(i))+frac(i)*(tdat(:,col(i)+1)-tdat(:,col(i)));
end

%
% Now invert the matrix to get the harmonics
%

tsh=inv(tg1'*tg1)*tg1'*t;
%
% Calculate the residual for each cycle
%
ncyc=50;
R2=zeros(1,ncyc);
for j=1:ncyc
  R2(j)=(tg1*tsh(:,j))'*(tg1*tsh(:,j))/(t(:,j)'*t(:,j));
end



hold off;
plot(1:ncyc,[tsh+0.3*[1:9]'*ones(1,ncyc)],'w-');hold on
plot(1:ncyc,0.3*[1:9]'*ones(1,ncyc),'w--')
title('Spherical harmonic coefficients wind stress (H&R)')

axis([1,ncyc+1,0,0.3*9+.02])
labels=['C00';'C10';'C20';'C11';'S11';'C21';'S21';'C22';'S22']; 
text((ncyc+1.2)*ones(9,1),0.3*[1:9]',labels)
xlabel('Cycle No.')
ylabel('Coefficient, Taux or Tauy,')
orient tall
print -dpsc figure1.ps


pause
hold off
plot(1:ncyc,R2)
title('Coefficient of WORTH')
xlabel('Cycle No.')
ylabel('Variance Explained')
orient portrait
print -dpsc -append figure1.ps




