function [delta]=v350p(p)
% 
% function [delta]=v350p(p)
% delta m*1 column vector of specific volume anomaly for 35psu 0T
% p	m*1 column vector of standard pressures
% Customiser: N.L. Bindoff 13/Dec/1990
% v350p fcn **** april 6 1981 ****
% ********************************
% specific volume (cm**3/g) for s = 35 nsu (ipss-78),
% temperature 0 deg celsius (ipts-68) and pressure in decibars.
% equation derived from eos80
% check value: v350p = 9.337431e-1 cm**3/g for p = 10000 dbars.
% units changed to decibars and cgs for use at mit
	m=length(p);
	temp1=ones(m,1);
	temp2=21582.27*ones(m,1);
	temp3=3.35941*ones(m,1);
      	dv350p = 9.72662e-4*(temp1-(p/10.0)./(temp2+ ...
	(temp3 +5.032e-5*(p/10.0)).*(p/10.0)));
%  convert dv350p from m**3/kg to cm**3/g
      delta=dv350p*1000.0;

